<?php
/* ==================================================== ##
##            COPYRIGHTS © ZAPms PHP TEAM               ##
## ==================================================== ##
## PRODUCT : CMS(CONTENT MANAGEMENT SYSTEM)             ##
## LICENSE : GNU 2(General Public License v.2)          ##
## TECHNOLOGIES : PHP & MySQL                           ##
## WWW : www.zapms.de | www.marchenko.de                ##
## E-MAIL : info@zapms.de, andrey@marchenko.de          ##
## ==================================================== */

//------------------------------------------------------------
class Menu {
	var $array_menu;
	var $array_menu_path;
	var $array_menu_selected;
	var $query_filter;
	var $query_order;
	var $query_limit;
	var $query;
	var $db_prefix;
	var $cnt;
	var $auth_id;
//------------------------------------------------------------
	function Menu($db_prefix = '') {
		$this->array_menu = array();
		$this->array_menu_path = array();
		$this->array_menu_selected = array();
		$this->db_prefix = $db_prefix;
		$this->query_filter = 'WHERE 1';
		$this->query_order = ' ';
		$this->query_limit = ' ';
		$this->cnt = 0;
		$this->auth_id = 0;
	}
//------------------------------------------------------------
	function executeMenuQuery() {
		$this->query = 'SELECT
		 '.$this->db_prefix.'menu.id AS id,
		 '.$this->db_prefix.'menu.parent_id AS parent_id,
		 '.$this->db_prefix.'menu.priority AS priority,
		 '.$this->db_prefix.'menu.name AS name,
		 '.$this->db_prefix.'menu.title AS title,
		 '.$this->db_prefix.'menu.sourcetype AS sourcetype,
		 '.$this->db_prefix.'menu.source AS source,
		 '.$this->db_prefix.'menu.variables AS variables,
		 '.$this->db_prefix.'menu.pattern AS pattern,
		 '.$this->db_prefix.'menu.pattern_1 AS pattern_1,
		 '.$this->db_prefix.'menu.pattern_2 AS pattern_2,
		 '.$this->db_prefix.'menu.pattern_3 AS pattern_3,
		 '.$this->db_prefix.'menu.pattern_4 AS pattern_4,
		 '.$this->db_prefix.'menu.pattern_5 AS pattern_5,
		 '.$this->db_prefix.'menu.active AS active,
		 '.$this->db_prefix.'menu.description AS description,
		 '.$this->db_prefix.'menu.keywords AS keywords,
		 '.$this->db_prefix.'menu.createtime AS createtime,
		 '.$this->db_prefix.'menu.modifytime AS modifytime,
		 '.$this->db_prefix.'menu.login AS login
		 FROM '.$this->db_prefix.'menu '.$this->query_filter.$this->query_order;
		//print $this->query;
		$result = mysql_query($this->query) or 0;
		return ($result);
	}
//------------------------------------------------------------
	function makeMenuArray() {
		$this->query_order = ' ORDER BY '.$this->db_prefix.'menu.parent_id, '.$this->db_prefix.'menu.priority, '.$this->db_prefix.'menu.title';
		$result = $this->executeMenuQuery();
		$count = 0;
		$tmp_array = array();
		if ($result) {
			if (mysql_num_rows($result)) {
				while ($row = mysql_fetch_assoc($result)) {
					$count ++;
					$tmp_array = array_pad($tmp_array, $count, $row);
				}
			}
			$this->array_menu = $tmp_array;
			mysql_free_result($result);
			unset($tmp_array);
		}
	}
//------------------------------------------------------------
	function getMenuArray() {
		$this->makeMenuArray();
		return ($this->array_menu);
	}
//------------------------------------------------------------
	function setFilterById($menu_id = 0) {
		$this->query_filter .= ' AND '.$this->db_prefix.'menu.id='.$menu_id;
	}
//------------------------------------------------------------
	function setFilterByParentId($parent_id = 0) {
		$this->query_filter .= ' AND '.$this->db_prefix.'menu.parent_id='.$parent_id;
	}
//------------------------------------------------------------
	function setFilterByName($name = 0) {
		$this->query_filter .= ' AND '.$this->db_prefix.'menu.name=\''.$name.'\'';
	}
//------------------------------------------------------------
	function setFilterByModifyTime($modifytime = 0) {
		$this->query_filter .= ' AND '.$this->db_prefix.'menu.modifytime='.$modifytime;
	}
//------------------------------------------------------------
	function setFilterByActive($active = 1) {
		$this->query_filter .= ' AND '.$this->db_prefix.'menu.active=\''.$active.'\'';
		// menu security
		if ($this->auth_id == 100)
			$this->setFilterByLogin();
	}
//------------------------------------------------------------
	function setFilterByLogin($login = 1) {
		$this->query_filter .= ' AND '.$this->db_prefix.'menu.login=\''.$login.'\'';
	}
//------------------------------------------------------------
	function setFilterBySourcetype($sourcetype = 'dymanic') {
		$this->query_filter .= ' AND '.$this->db_prefix.'menu.sourcetype=\''.$sourcetype.'\'';
	}
//------------------------------------------------------------
	function setFilterByNotSourcetype($sourcetype = 'folder') {
		$this->query_filter .= ' AND '.$this->db_prefix.'menu.sourcetype<>\''.$sourcetype.'\'';
	}
//------------------------------------------------------------
	function setFilterByNotName($name = 'PayPal_ipn') {
		$this->query_filter .= ' AND '.$this->db_prefix.'menu.name<>\''.$name.'\'';
	}
//------------------------------------------------------------
	function resetFilter() {
		$this->cnt = 0;
		$this->query_filter = 'WHERE 1';
	}
//------------------------------------------------------------
	function resetOrder() {
		$this->query_order = ' ';
	}
//------------------------------------------------------------
	function isMenuName($name = '', $preview = 0) {
		$this->setFilterByName($name);
		if ($preview == 0)
			$this->setFilterByActive(1);
		$query = 'SELECT '.$this->db_prefix.'menu.id, '.$this->db_prefix.'menu.sourcetype FROM '.$this->db_prefix.'menu '.$this->query_filter.$this->query_order;
		//print $query;
		$result = mysql_query($query) or 0;
		if ($result) {
			if (mysql_num_rows($result))
				$this->array_menu_selected = mysql_fetch_assoc($result); 
			mysql_free_result($result);
		}
		return (($this->array_menu_selected)?(1):(0));
	}
//------------------------------------------------------------
	function makeMenuTree($current_id, $level) {
		$level++;
		if ($this->cnt > count($this->array_menu))
			return 0;
		foreach ($this->array_menu as $single_array) {
			if ($single_array['parent_id'] == $current_id) {
				//print ($level.':'.$single_array['id'].':'.$single_array['name'].':'.$single_array['parent_id'].'  ');
				$this->cnt ++;
				$single_array['level'] = $level;
				$this->array_menu_selected = array_pad($this->array_menu_selected, $this->cnt, $single_array);

				if ($single_array['id'] == $this->array_menu_path[$level]['id'] || $single_array['id'] == $this->array_menu_path[($level+1)]['id'])
					$this->makeMenuTree($single_array['id'], $level);
			}
		}
	}
//------------------------------------------------------------
	function makeMenuFullTree($current_id, $level) {
		$level++;
		if ($this->cnt > count($this->array_menu))
			return 0;
		foreach ($this->array_menu as $single_array) {
			if ($single_array['parent_id'] == $current_id) {
				//print ($level.':'.$single_array['id'].':'.$single_array['name'].' ');
				$this->cnt ++;
				$single_array['level'] = $level;
				$this->array_menu_selected = array_pad($this->array_menu_selected, $this->cnt, $single_array);

					$this->makeMenuFullTree($single_array['id'], $level);
			}
		}
	}
//------------------------------------------------------------
	function makeMenuPath($current_id, $parent_info) {
		if ($this->cnt > count($this->array_menu) || $current_info['id'] == $parent_info['parent_id'])
			return 0;
		foreach ($this->array_menu as $single_array) {
			if ($single_array['id'] == $current_id && !($single_array['sourcetype'] == 'folder' && $parent_info['sourcetype'] != 'folder')) {
				//print $single_array['id'].'.'.$single_array['name'].'-> ';
				//print $single_array['sourcetype'].':'.$parent_info['sourcetype'].' ';
				$this->cnt++;
				$this->array_menu_path = array_pad($this->array_menu_path, $this->cnt, $single_array);
					
				$this->makeMenuPath($single_array['parent_id'], $parent_info);
			}
		}
	}
//------------------------------------------------------------
	function getMenuTree($parent_info, $current_info) {
		$this->resetFilter();
		$this->setFilterByActive(1);
		$this->makeMenuArray();
		$this->cnt = 0;
		$this->makeMenuPath($current_info['id'], $parent_info);
		$this->array_menu_path = array_reverse($this->array_menu_path);
		//print_r($this->array_menu_path);
		$this->cnt = 0;
		$this->makeMenuTree($parent_info['id'], $this->level);
		return $this->array_menu_selected;
	}
//------------------------------------------------------------
	function getMenuFullTree($parent_info, $current_info) {
		$this->resetFilter();
		$this->setFilterByActive(1);
		$this->makeMenuArray();
		$this->cnt = 0;
		$this->makeMenuPath($current_info['id'], $parent_info);
		$this->array_menu_path = array_reverse($this->array_menu_path);
		//print_r($this->array_menu_path);
		$this->cnt = 0;
		$this->makeMenuFullTree($parent_info['id'], $this->level);
		return $this->array_menu_selected;
	}
//------------------------------------------------------------
	function getMenuInfo($menu_id = 0, $name = '', $preview = 0) {
		$this->resetFilter();
		$this->resetOrder();
		if ($preview == 0)
			$this->setFilterByActive(1);
		if ($menu_id && !$name)
			$this->setFilterById($menu_id);
		else
			$this->setFilterByName($name);
		$result = $this->executeMenuQuery();
		$menu_info = array();
		if ($result) {
			if (mysql_num_rows($result)) {
				$menu_info = mysql_fetch_assoc($result);
				mysql_free_result($result);
			}
		}
		return ($menu_info);
	}
//------------------------------------------------------------
}
?>
