<?php
/* ==================================================== ##
##            COPYRIGHTS © ZAPms PHP TEAM               ##
## ==================================================== ##
## PRODUCT : CMS(CONTENT MANAGEMENT SYSTEM)             ##
## LICENSE : GNU 2(General Public License v.2)          ##
## TECHNOLOGIES : PHP & MySQL                           ##
## WWW : www.zapms.de | www.marchenko.de                ##
## E-MAIL : info@zapms.de, andrey@marchenko.de          ##
## ==================================================== */

//------------------------------------------------------------
// basket calculation
function calculateBasket($product_list,$delivery_price,$delivery_price_free,$delivery_price_notfree,$tax_list,$payment_price_per,$payment_price_fix,$point_weight,$point_price,$bonus_back,$rebate_fix,$rebate_percent,$rebate_point,$spec_delivery_price) {
    global $prd_delivery_array, $delivery, $prd_payment_array, $prd_payment_per_array, $prd_payment_fix_array, $payment, $rebate, $client_info, $format_dec_point, $format_thousands_sep, $spec_count;

	$calc_array = array();
	$tax_list_array = array();
	// calculation of prices for all taxes
	// $count_price_array = '1,2,4,10'
	$tax_list_count = sizeof($tax_list);
	$pr_list_count = sizeof($product_list);
	for ($j = 0; $j < $tax_list_count; $j ++) {
		for ($i = 0; $i < $pr_list_count; $i ++) {
			$calc_array[$j]['price_netto'] += (($product_list[$i]['tax'] == $tax_list[$j]['price']) ? ($product_list[$i]['price_netto']) : (0));
			$calc_array[$j]['price_tax'] += (($product_list[$i]['tax'] == $tax_list[$j]['price']) ? ($product_list[$i]['price_tax']) : (0));
			// bonus points
			$calc_array[$j]['bonus_points'] += ((($product_list[$i]['tax'] == $tax_list[$j]['price']) && $product_list[$i]['bonus']) ?
				($point_weight*($product_list[$i]['price_netto']+$product_list[$i]['price_tax'])) : (0));
		}
		// calculate the taxes
		//'tax_1_title' => '', 'tax_1_price' => '', 'tax_1_netto' => '', 'tax_1_netto_str' => ''
		$tax_x_title = 'tax_'.$j.'_title';
		$tax_x_price = 'tax_'.$j.'_price';
		$tax_x_price_str = 'tax_'.$j.'_price_str';
		$tax_x_netto = 'tax_'.$j.'_netto';
		$tax_x_netto_str = 'tax_'.$j.'_netto_str';
		$tax_list_array[$tax_x_title] = $tax_list[$j]['id'];
		$tax_list_array[$tax_x_price] = $calc_array[$j]['price_tax'];
		$tax_list_array[$tax_x_price_str] = number_format($calc_array[$j]['price_tax'], 2, $format_dec_point, $format_thousands_sep);
		$tax_list_array[$tax_x_netto] = $calc_array[$j]['price_netto'];
		$tax_list_array[$tax_x_netto_str] = number_format($calc_array[$j]['price_netto'], 2, $format_dec_point, $format_thousands_sep);
	}
	$max_price_netto = 0;
	$tax_percent = 0;
	for ($j = 0; $j < $tax_list_count; $j ++) {
		$sum_netto += $calc_array[$j]['price_netto'];
		$sum_brutto += $calc_array[$j]['price_netto']+$calc_array[$j]['price_tax'];
		//$tax_sum += $calc_array[$j]['price_tax'];
		$bonus_sum += $calc_array[$j]['bonus_points'];
		if ($calc_array[$j]['price_netto'] > $max_price_netto) {
			$max_price_netto = $calc_array[$j]['price_netto'];
			$tax_percent = $tax_list[$j]['price'];
		}
	}
	//print_r($tax_percent);
	//print_r($calc_array);
	//print_r($tax_list_array);
	//print $sum_netto .': '. $delivery_price_free .': '. $delivery_price .': '. $delivery_price_notfree;
	
	// CALCULATE BONUS_BACK (Rebate)
	//print $bonus_back;
	if ($rebate_fix) {
		$bonus_back = 0;
		// rebate fix Price
		$bonus_back = $rebate_fix/$point_price;
		$bonus_sum += $bonus_back;
	} else if ($rebate_percent) {
		$bonus_back = 0;
		// rebate in %
		$bonus_back = $bonus_sum/$point_price/$point_weight*$rebate_percent/100;
		$bonus_sum += $bonus_back;
	} elseif ($rebate_point) {
		$bonus_back = 0;
		// rebate max points
		$rebate_sum = 0;
		for ($i = 0; $i < $pr_list_count; $i ++) {
			if ($rebate_point == 1) {
				$rebate_sum += ($product_list[$i]['price'] > $product_list[$i]['price_src_1']) ? 
					(($product_list[$i]['price'] - $product_list[$i]['price_src_1'])*$product_list[$i]['count']) : (0);
			} else if ($rebate_point == 2) {
				$rebate_sum += ($product_list[$i]['price'] > $product_list[$i]['price_src_2']) ? 
					(($product_list[$i]['price'] - $product_list[$i]['price_src_2'])*$product_list[$i]['count']) : (0);
			} else if ($rebate_point == 3) {
				$rebate_sum += ($product_list[$i]['price'] > $product_list[$i]['price_src_3']) ? 
					(($product_list[$i]['price'] - $product_list[$i]['price_src_3'])*$product_list[$i]['count']) : (0);
			}
		}
		$bonus_back = $rebate_sum/$point_price;
		$bonus_sum += $bonus_back;
	}
	//print $bonus_sum;
	
	// Check special delivery
	// spec_pack - product count in basket
	// spec_delivery - special delivery price
	$spec_count = 0;
	$special_flag = 0; // check special price, sales
	for ($i = 0; $i < $pr_list_count; $i ++) {
		if (!$product_list[$i]['spec_delivery'])
			$spec_count = 0;
		else
			$spec_count += $product_list[$i]['count'];
			
		if ($product_list[$i]['special'])
			$special_flag = 1;
	}
	if ($spec_count) {
		$tmp_prev = 0;
		for ($i = 0;  $i < sizeof($spec_delivery_price); $i++) {
			if ($spec_count <= $spec_delivery_price[$i]['id'] && $spec_count >= $tmp_prev) {
				$delivery_price = $delivery_price + ceil($spec_count/$spec_delivery_price[$i]['id'])*$spec_delivery_price[$i]['price'];
				// clear -2% payment price
				//$payment_price_per = 0;
				// clear fix payment price
				//$payment_price_fix = 0;
				break;
			}
			$tmp_prev = $spec_delivery_price[$i]['id'];
		}
	}
	// disable bonuses if sales
	if ($special_flag) {
		$bonus_back = 0;
		$bonus_sum = 0;
	}
	// input delivery = brutto
	$delivery_brutto_price = ($sum_brutto >= $delivery_price_free && $delivery_price < $delivery_price_notfree) ? (0) : ($delivery_price);
	// input delivery = netto
	//$delivery_netto_price = ($sum_netto >= $delivery_price_free && $delivery_price < $delivery_price_notfree) ? (0) : ($delivery_price);
	//$delivery_tax = ($sum_netto >= $delivery_price_free && $delivery_price < $delivery_price_notfree) ? (0) : ($delivery_price*$tax_percent/100);
	//$delivery_brutto_price = ($sum_netto >= $delivery_price_free && $delivery_price < $delivery_price_notfree) ? (0) : ($delivery_netto_price+$delivery_tax);
	
    $bonus_price = $bonus_sum*$point_price;
    $bonus_back_price = $bonus_back*$point_price;
	//$netto_price = $sum_netto + $delivery_netto_price; // netto=price+delivery
	//$tax_prod = $tax_sum + $delivery_tax; // tax=tax+delivery_tax
	//$brutto_price = $netto_price + $tax_prod; // brutto=netto+tax
	$brutto_price = $sum_brutto + $delivery_brutto_price;
	$payment_price = $sum_brutto*($payment_price_per)/100 + ($payment_price_fix); // 2% from netto + fix price
	//$tax_price += (($payment_price) - ($bonus_back_price))*$tax_percent/100; // tax for payment
	$total_price = $brutto_price + ($payment_price) - ($bonus_back_price); // total=brutto+payment-bonus_back
	$tax_price = $total_price*$tax_percent/(100+$tax_percent); // tax for total
	$netto_price = $total_price - $tax_price;
	
	$delivery_price_str = number_format($delivery_brutto_price, 2, $format_dec_point, $format_thousands_sep);
	$payment_price_str = number_format($payment_price, 2, $format_dec_point, $format_thousands_sep);
	$bonus_price_str = number_format($bonus_price, 2, $format_dec_point, $format_thousands_sep);
	$bonus_back_price_str = number_format($bonus_back_price, 2, $format_dec_point, $format_thousands_sep);
	$sum_netto_str = number_format($sum_netto, 2, $format_dec_point, $format_thousands_sep);
	$sum_brutto_str = number_format($sum_brutto, 2, $format_dec_point, $format_thousands_sep);
	$netto_price_str = number_format($netto_price, 2, $format_dec_point, $format_thousands_sep);
	$tax_price_str = number_format($tax_price, 2, $format_dec_point, $format_thousands_sep);
	$tax_percent_str = number_format($tax_percent, 2, $format_dec_point, $format_thousands_sep);
	$brutto_price_str = number_format($brutto_price, 2, $format_dec_point, $format_thousands_sep);
	$total_price_str = number_format($total_price, 2, $format_dec_point, $format_thousands_sep);
	$bonus_sum = round($bonus_sum);
	$bonus_price = round($bonus_price, 2);
	$bonus_back_price = round($bonus_back_price, 2);
	$delivery_price = round($delivery_brutto_price, 2);
	$netto_price = round($netto_price, 2);
	$brutto_price = round($brutto_price, 2);
	$payment_price = round($payment_price, 2);
	$total_price = round($total_price, 2);
	
	// delivery and payment titles
	for ($i=0; $i<sizeof($prd_delivery_array); $i++)
		if ($prd_delivery_array[$i]['id'] == $delivery) $delivery_str = $prd_delivery_array[$i]['title'];
	for ($i=0; $i<sizeof($prd_payment_array); $i++)
		if ($prd_payment_array[$i]['id'] == $payment) $payment_str = $prd_payment_array[$i]['title'];

	return (array(
		'delivery' => $delivery_str, 'delivery_price' => $delivery_price, 'delivery_price_str' => $delivery_price_str,
		'payment' => $payment_str, 'payment_price' => $payment_price, 'payment_price_str' => $payment_price_str,
		'bonus_back' => $bonus_back, 'bonus_back_price' => $bonus_back_price, 'bonus_back_price_str' => $bonus_back_price_str,
		'sum_netto' => $sum_netto, 'sum_netto_str' => $sum_netto_str,
		'sum_brutto' => $sum_brutto, 'sum_brutto_str' => $sum_brutto_str,
		'netto_price' => $netto_price, 'netto_price_str' => $netto_price_str,
		'tax_percent' => $tax_percent, 'tax_percent_str' => $tax_percent_str.'%',
		'tax_price' => $tax_price, 'tax_price_str' => $tax_price_str,
		'brutto_price' => $brutto_price, 'brutto_price_str' => $brutto_price_str,
		'total_price' => $total_price, 'total_price_str' => $total_price_str,
		'rebate' => $rebate, 'bonus' => $bonus_sum, 'bonus_price' => $bonus_price, 'bonus_price_str' => $bonus_price_str)
		);
}

?>