<?php
/* ==================================================== ##
##             COPYRIGHTS © ZAPms PHP TEAM              ##
## ==================================================== ##
## PRODUCT : CMS(CONTENT MANAGEMENT SYSTEM)             ##
## LICENSE : GNU 2(General Public License v.2)          ##
## TECHNOLOGIES : PHP & MySQL                           ##
## WWW : www.zapms.de | www.marchenko.de                ##
## E-MAIL : info@zapms.de, andrey@marchenko.de          ##
## ==================================================== */

// UI LANGUAGE
$ui_lang = $url_variables['language'];
if (!$ui_lang) $ui_lang = $msg_lang;

include_once 'paypal_warnings.php';
include_once 'inc_func_shp.php';

$ipn_var = array(
	'txn_id' => '', 'txn_type' => '', 'payment_date' => '', 'payment_status' => '', 'payment_type' => '', 'pending_reason' => '',
	'payer_id' => '', 'payer_email' => '', 'first_name' => '', 'last_name' => '', 'memo' => '',
	'address_city' => '', 'address_country' => '', 'address_state' => '', 'address_street' => '', 'address_zip' => '', 'verify_sign' => '',
	'item_name' => '', 'item_number' => '', 'mc_gross' => '', 'mc_fee' => '', 'mc_currency' => '', 'exchange_rate' => '',
	'business' => '', 'receiver_id' => '', 'receiver_email' => '');

// INCLUDE ORDERS
include_once MODUL_DIR.'shop/Orders.php';
$orders_obj = new Orders(DB_PREFIX);
// include MAILER
include_once MODUL_DIR.'core/Mailer.php';
// INCLUDE BASKETS
include_once MODUL_DIR.'shop/Baskets.php';
$baskets_obj = new Baskets(DB_PREFIX);
// include CLIENTS
include_once MODUL_DIR.'core/Clients.php';
$clients_obj = new Clients(DB_PREFIX);

//------------------------------------------------------------
// GET CONFIG DATA
$cfg_tmp = $cfg_obj->getConfigInfo(0, 'ppl_%');
while(list($tmp_var, $tmp_param) = @each($cfg_tmp))
	$$tmp_var = $tmp_param;

$cfg_shp = $cfg_obj->getConfigInfo(0, 'shp_%');
while(list($tmp_var, $tmp_param) = @each($cfg_shp))
	$$tmp_var = $tmp_param;

$cln_tmp = $cfg_obj->getConfigInfo(0, 'cln_%');
while(list($tmp_var, $tmp_param) = @each($cfg_tmp))
	$$tmp_var = $tmp_param;

// ASSIGN VALUES
$success = 0;
$details = array();

switch ($action) {
//------------------------------------------------------------
	case 'list':
		$ipn_var = trimRequestValues($ipn_var, 1, $ppl_rm);
		//print_r($ipn_var);
		// verify
		if (!$ipn_var['txn_id'] || !$ipn_var['payer_email'] || !$ipn_var['item_number'] || !$ipn_var['mc_gross'] || $ipn_var['business']!=$ppl_business) {
			$error_msg .= $SYS_WARN_MSG[$ui_lang]['not_all_mandatory'];
			$tpl = 'shop_login.tpl';
		} else {
			$details = $orders_obj->getOrder($ipn_var['item_number'],0);
			//print_r($details);
			// Session Checking
			$sid = $details['sid'];
			$SID = 'sid='.$sid;
			$auth_id = 0;
			$auth_time = 0;
			if(sess_is_registered($sid)) {
				$auth_info = sess_read($sid);
				//print $auth_info.' ';
				list($auth_id, $auth_time) = preg_split('/-/', $auth_info);
				//print $auth_id.' '.$auth_time;
				$auth_time = time();
				$auth_info = $auth_id.'-'.$auth_time;
				sess_write($sid, $auth_info);
			} else
				$sid = '';
			// if authentified
			if ($auth_id) {
				// get client info
				$client_info = $clients_obj->getClientInfo($auth_id);
				assignArray($client_info, 'client_info');
				// build reference
				$cln_reference_array = getReferenceList($ui_lang);
                // get contacts
                $cfg_contact = $cfg_obj->getConfigInfo(0, 'cnt_%');
                
				if ($details['status']>0) {
					$html_email = arrayForEmail($cln_reference_array, $details, $cfg_global, $cfg_contact, $site_dir.$usr_tpl, $shp_tpl_11, $ui_lang);
					
					$smarty->assign('topic_content', $html_email);
					$tpl = 'shop_paycheck.tpl';
				} else {
					// verify transaction
					$postdata = "";
					foreach ($_POST as $key=>$value) $postdata.=$key."=".urlencode($value)."&";
					$postdata .= "cmd=_notify-validate";
					$curl = curl_init($ppl_url);
					curl_setopt($curl, CURLOPT_HEADER, false);
					curl_setopt($curl, CURLOPT_POST, true);
					curl_setopt($curl, CURLOPT_POSTFIELDS, $postdata);
					curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
					curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
					curl_setopt($curl, CURLOPT_SSL_VERIFYHOST, true);
					$response = curl_exec($curl);
					curl_close ($curl);
					if ($response != 'VERIFIED') {
						$error_msg .= $LOCAL_WARN_MSG['txn_notaccepted'];
						$tpl = 'shop_login.tpl';
					} else {
						// verify amount
						if ($details['amount'] != $ipn_var['mc_gross']) {
							$shp_subj_10 .= $LOCAL_WARN_MSG['amount_notaccepted'];
							$shp_subj_11 .= $LOCAL_WARN_MSG['amount_notaccepted'];
						}
						if ($sys_currency != $ipn_var['mc_currency']) {
							$shp_subj_10 .= $LOCAL_WARN_MSG['currency_notaccepted'];
							$shp_subj_11 .= $LOCAL_WARN_MSG['currency_notaccepted'];
						}
						$paymenttime = time();
						$details['txn'] = $ipn_var['txn_id'];
						$details['paymenttime'] = $paymenttime;
                        // email to admin
						$html_email = arrayForEmail($cln_reference_array, $details, $cfg_global, $cfg_contact, $site_dir.$usr_tpl, $shp_tpl_10, $ui_lang);
						
						$mailer_obj = new Mailer($shp_to, $shp_reply, $shp_to, $shp_cc, $shp_bcc, $shp_subj_10.' #'.$details['id'].' '.(number_format($ipn_var['mc_gross'], 2, '.', '')).' '.$ipn_var['mc_currency'], $html_email, $email_style);
						$mailer_obj->sendEmail();
						// email to user
						$html_email = arrayForEmail($cln_reference_array, $details, $cfg_global, $cfg_contact, $site_dir.$usr_tpl, $shp_tpl_11, $ui_lang);
						
						$mailer_obj->Mailer($details['email'], $shp_reply, $shp_to, $shp_cc, $shp_bcc, $shp_subj_11.' #'.$details['id'], $html_email, $email_style);
						$mailer_obj->sendEmail();
						
						// update order status
						$orders_obj->updateOrders(array('status' => '\'1\'', 'txn' => '\''.$ipn_var['txn_id'].'\'', 'paymenttime' => $paymenttime));
						// update basket status
						$baskets_obj->setFilterBySid($sid);
						$baskets_obj->updateBaskets(array('status' => '\'1\''));
						
						$success = 1;
						$smarty->assign('topic_content', $html_email);
						$tpl = 'shop_paycheck.tpl';
					}
				}
			} else {
				$error_msg .= $LOCAL_WARN_MSG['user_notauth'];
				$tpl = 'shop_login.tpl';
			}
		}
		$view_mode = 1;
	break;
//------------------------------------------------------------
	default:
		$error_msg = $SYS_WARN_MSG[$ui_lang]['action_wrong'];
		$tpl = 'shop_login.tpl';
		$action = 'list';
		$view_mode = 1;
}
//------------------------------------------------------------
// VIEW
	if ($view_mode > 1) {
		$smarty->assign('error_msg', $error_msg);
		$smarty->assign('warning_msg', $warning_msg);
		$smarty->display((($tpl) ? ($tpl) : ('shop_login.tpl')));
	} else
		$smarty->assign('pattern_content', $tpl);

	$smarty->assign('cid', $cid);
	$smarty->assign('pid', $pid);
	$smarty->assign('tid', $tid);
	$smarty->assign('prd_dir', $prd_dir);
	$smarty->assign('ui_lang', $ui_lang);
	$smarty->assign('success', $success);


?>