<?php
/* ==================================================== ##
##             COPYRIGHTS © ZAPms PHP TEAM              ##
## ==================================================== ##
## PRODUCT : CMS(CONTENT MANAGEMENT SYSTEM)             ##
## LICENSE : GNU 2(General Public License v.2)          ##
## TECHNOLOGIES : PHP & MySQL                           ##
## WWW : www.zapms.de | www.marchenko.de                ##
## E-MAIL : info@zapms.de, andrey@marchenko.de          ##
## ==================================================== */

// UI LANGUAGE
$ui_lang = $url_variables['language'];
if (!$ui_lang) $ui_lang = $msg_lang;

include_once 'sofort_warnings.php';
include_once 'inc_func_shp.php';

$ipn_var = array(
	'transaction' => '', 'user_id' => '', 'project_id' => '',
	'sender_holder' => '', 'sender_account_number' => '', 'sender_bank_code' => '',
	'sender_bank_name' => '', 'sender_bank_bic' => '', 'sender_iban' => '', 'sender_country_id' => '',
	'recipient_holder' => '', 'recipient_account_number' => '', 'recipient_bank_code' => '', 'recipient_bank_name' => '',
	'recipient_bank_bic' => '', 'recipient_iban' => '', 'recipient_country_id' => '', 'international_transaction' => '',
	'amount' => '', 'currency_id' => '', 'reason_1' => '', 'reason_2' => '', 'security_criteria' => '',
	'user_variable_0' => '', 'user_variable_1' => '', 'user_variable_2' => '', 'user_variable_3' => '',
	'user_variable_4' => '', 'user_variable_5' => '', 'created' => '', 'hash' => '');

// INCLUDE ORDERS
include_once MODUL_DIR.'shop/Orders.php';
$orders_obj = new Orders(DB_PREFIX);
// include MAILER
include_once MODUL_DIR.'core/Mailer.php';
// INCLUDE BASKETS
include_once MODUL_DIR.'shop/Baskets.php';
$baskets_obj = new Baskets(DB_PREFIX);

//------------------------------------------------------------
// GET CONFIG DATA
$cfg_tmp = $cfg_obj->getConfigInfo(0, 'sfr_%');
while(list($tmp_var, $tmp_param) = @each($cfg_tmp))
	$$tmp_var = $tmp_param;

$cfg_shp = $cfg_obj->getConfigInfo(0, 'shp_%');
while(list($tmp_var, $tmp_param) = @each($cfg_shp))
	$$tmp_var = $tmp_param;

$cfg_tmp = $cfg_obj->getConfigInfo(0, 'prd_%');
while(list($tmp_var, $tmp_param) = @each($cfg_tmp))
	$$tmp_var = $tmp_param;

$cfg_tmp = $cfg_obj->getConfigInfo(0, 'cln_%');
while(list($tmp_var, $tmp_param) = @each($cfg_tmp))
	$$tmp_var = $tmp_param;

// ASSIGN VALUES
$success = 0;
$details = array();
$view_mode = 2;

	// 1-html replace, 0-not. 1-keine/2-POST/0-GET
	$ipn_var = trimRequestValues($ipn_var, 1, 2);
	//print_r($ipn_var);
	// verify
	if ($ipn_var['transaction'] && $ipn_var['user_variable_1'] && $ipn_var['currency_id'] && $ipn_var['amount'] && $ipn_var['hash']) {
		$details = $orders_obj->getOrder($ipn_var['user_variable_1'],0);
		//print_r($details);
		if ($details['status']>0) {
			print 'Status: Order is successfully closed. Transaction: '.$ipn_var['transaction'];
			exit;
		} else {
			// verify transaction
			$tmp = array(
				'transaction' => $ipn_var['transaction'],
				'user_id' => $sfr_user_id, // user_id
				'project_id' => $sfr_project_id, // project_id
				'sender_holder' => $ipn_var['sender_holder'], // sender_holder
				'sender_account_number' => $ipn_var['sender_account_number'],
				'sender_bank_code' => $ipn_var['sender_bank_code'],
				'sender_bank_name' => $ipn_var['sender_bank_name'],
				'sender_bank_bic' => $ipn_var['sender_bank_bic'],
				'sender_iban' => $ipn_var['sender_iban'],
				'sender_country_id' => $ipn_var['sender_country_id'],
				'recipient_holder' => $ipn_var['recipient_holder'],
				'recipient_account_number' => $ipn_var['recipient_account_number'],
				'recipient_bank_code' => $ipn_var['recipient_bank_code'],
				'recipient_bank_name' => $ipn_var['recipient_bank_name'],
				'recipient_bank_bic' => $ipn_var['recipient_bank_bic'],
				'recipient_iban' => $ipn_var['recipient_iban'],
				'recipient_country_id' => $ipn_var['recipient_country_id'],
				'international_transaction' => (($ipn_var['international_transaction']) ? ($ipn_var['international_transaction']) : ('0')),
				'amount' => number_format($details['amount'], 2, '.', ''), // amount
				'currency_id' => $sys_currency, // currency_id, Pflichtparameter bei Hash-Berechnung
				'reason_1' => $sfr_reason.' '.$details['id'],// reason_1
				'reason_2' => $details['name'].' '.$details['surname'], // reason_2
				'security_criteria' => (($ipn_var['security_criteria']) ? ($ipn_var['security_criteria']) : ('0')),
				'user_variable_0' => $ipn_var['user_variable_0'],
				'user_variable_1' => $details['id'], // user_variable_1
				'user_variable_2' => $ipn_var['user_variable_2'],
				'user_variable_3' => $ipn_var['user_variable_3'],
				'user_variable_4' => $ipn_var['user_variable_4'],
				'user_variable_5' => $ipn_var['user_variable_5'],
				'created' => $ipn_var['created'],
				'notification_password' => $sfr_notify_password // notification password
			);
			//print_r($tmp);
			$tmp_implode = implode('|', $tmp);
			$hash_sofort = sha1($tmp_implode);
			//print $hash_sofort.' '.$ipn_var['hash'];
			if ($hash_sofort != $ipn_var['hash']) {
				print 'Status: Hash is wrong. Transaction: '.$ipn_var['transaction'];
				exit;
			} else {
				// verify amount
				if ($details['amount'] != $ipn_var['amount']) {
					$shp_subj_12 .= $LOCAL_WARN_MSG['amount_notaccepted'];
					$shp_subj_13 .= $LOCAL_WARN_MSG['amount_notaccepted'];
				}
				if ($sys_currency != $ipn_var['currency_id']) {
					$shp_subj_12 .= $LOCAL_WARN_MSG['currency_notaccepted'];
					$shp_subj_13 .= $LOCAL_WARN_MSG['currency_notaccepted'];
				}
				$paymenttime = time();
				$details['txn'] = $ipn_var['transaction'];
				$details['paymenttime'] = $paymenttime;
				// build reference
				$cln_reference_array = getReferenceList($ui_lang);
                // get contacts
                $cfg_contact = $cfg_obj->getConfigInfo(0, 'cnt_%');
                // email to admin
				$html_email = arrayForEmail($cln_reference_array, $details, $cfg_global, $cfg_contact, $site_dir.$usr_tpl, $shp_tpl_12, $ui_lang);
				
				$mailer_obj = new Mailer($shp_to, $shp_reply, $shp_to, $shp_cc, $shp_bcc, $shp_subj_12.' #'.$details['id'].' '.(number_format($ipn_var['amount'], 2, '.', '')).' '.$ipn_var['currency_id'], $html_email, $email_style);
				$mailer_obj->sendEmail();
				// email to user
				$html_email = arrayForEmail($cln_reference_array, $details, $cfg_global, $cfg_contact, $site_dir.$usr_tpl, $shp_tpl_13, $ui_lang);
				
				$mailer_obj->Mailer($details['email'], $shp_reply, $shp_to, $shp_cc, $shp_bcc, $shp_subj_13.' #'.$details['id'], $html_email, $email_style);
				$mailer_obj->sendEmail();

				// update order status
				$orders_obj->updateOrders(array('status' => '\'1\'', 'txn' => '\''.$ipn_var['transaction'].'\'', 'paymenttime' => $paymenttime));
				// update basket status
				$baskets_obj->setFilterBySid($details['sid']);
				$baskets_obj->updateBaskets(array('status' => '\'1\''));
				
				print 'Status: '.$shp_subj_12.'. Transaction: '.$ipn_var['transaction'];
			}
		}
	} else {
		print 'Status: ERROR. Some parameters are missed.';
	}
?>