<?php
/* ==================================================== ##
##             COPYRIGHTS © ZAPms PHP TEAM              ##
## ==================================================== ##
## PRODUCT : CMS(CONTENT MANAGEMENT SYSTEM)             ##
## LICENSE : GNU 2(General Public License v.2)          ##
## TECHNOLOGIES : PHP & MySQL                           ##
## WWW : www.zapms.de | www.marchenko.de                ##
## E-MAIL : info@zapms.de, andrey@marchenko.de          ##
## ==================================================== */

// UI LANGUAGE
$ui_lang = $url_variables['language'];
if (!$ui_lang) $ui_lang = $msg_lang;

include_once 'sofort_warnings.php';
include_once 'inc_func_shp.php';

$ipn_var = array(
	'transaction' => '', 'user_id' => '', 'project_id' => '',
	'sender_holder' => '', 'sender_account_number' => '', 'sender_bank_code' => '',
	'sender_bank_name' => '', 'sender_bank_bic' => '', 'sender_iban' => '', 'sender_country_id' => '',
	'recipient_holder' => '', 'recipient_account_number' => '', 'recipient_bank_code' => '', 'recipient_bank_name' => '',
	'recipient_bank_bic' => '', 'recipient_iban' => '', 'recipient_country_id' => '', 'international_transaction' => '',
	'amount' => '', 'currency_id' => '', 'reason_1' => '', 'reason_2' => '', 'security_criteria' => '',
	'user_variable_0' => '', 'user_variable_1' => '', 'user_variable_2' => '', 'user_variable_3' => '',
	'user_variable_4' => '', 'user_variable_5' => '', 'email_sender' => '', 'email_recipient' => '', 'created' => '', 'hash' => '');

// INCLUDE ORDERS
include_once MODUL_DIR.'shop/Orders.php';
$orders_obj = new Orders(DB_PREFIX);
// include MAILER
include_once MODUL_DIR.'core/Mailer.php';
// INCLUDE BASKETS
include_once MODUL_DIR.'shop/Baskets.php';
$baskets_obj = new Baskets(DB_PREFIX);
// include CLIENTS
include_once MODUL_DIR.'core/Clients.php';
$clients_obj = new Clients(DB_PREFIX);

//------------------------------------------------------------
// GET CONFIG DATA
$cfg_tmp = $cfg_obj->getConfigInfo(0, 'sfr_%');
while(list($tmp_var, $tmp_param) = @each($cfg_tmp))
	$$tmp_var = $tmp_param;

$cfg_shp = $cfg_obj->getConfigInfo(0, 'shp_%');
while(list($tmp_var, $tmp_param) = @each($cfg_shp))
	$$tmp_var = $tmp_param;

$cfg_tmp = $cfg_obj->getConfigInfo(0, 'prd_%');
while(list($tmp_var, $tmp_param) = @each($cfg_tmp))
	$$tmp_var = $tmp_param;

$cln_tmp = $cfg_obj->getConfigInfo(0, 'cln_%');
while(list($tmp_var, $tmp_param) = @each($cfg_tmp))
	$$tmp_var = $tmp_param;

// ASSIGN VALUES
$success = 0;
$details = array();

switch ($action) {
//------------------------------------------------------------
	case 'list':
		// 1-html replace, 0-not. 1-keine/2-POST/0-GET
		$ipn_var = trimRequestValues($ipn_var, 1, 2);
		//print_r($ipn_var);
		// verify
		// user_variable_0 = site url, user_variable_1 = order id
		// variables need to send from Sofort: transaction, user_variable_0, user_variable_1, currency_id, amount
		if (!$ipn_var['transaction'] || !$ipn_var['user_variable_1'] || !$ipn_var['currency_id'] || !$ipn_var['amount'] || $ipn_var['hash'] != sha1($ipn_var['user_variable_1'].$sfr_project_password)) {
			$error_msg .= $SYS_WARN_MSG[$ui_lang]['not_all_mandatory'];
			$tpl = 'shop_login.tpl';
		} else {
			if (!is_numeric($ipn_var['user_variable_1'])) $ipn_var['user_variable_1'] = 0;
			$details = $orders_obj->getOrder($ipn_var['user_variable_1'], 0);
			//print_r($details);
			// Session Checking
			$sid = $details['sid'];
			$SID = 'sid='.$sid;
			$auth_id = 0;
			$auth_time = 0;
			if(sess_is_registered($sid)) {
				$auth_info = sess_read($sid);
				//print $auth_info.' ';
				list($auth_id, $auth_time) = preg_split('/-/', $auth_info);
				//print $auth_id.' '.$auth_time;
				$auth_time = time();
				$auth_info = $auth_id.'-'.$auth_time;
				sess_write($sid, $auth_info);
			} else
				$sid = '';
			// if authentified
			if ($auth_id) {
				// get client info
				$client_info = $clients_obj->getClientInfo($auth_id);
				assignArray($client_info, 'client_info');
				// build reference
				$cln_reference_array = getReferenceList($ui_lang);
                // get contacts
                $cfg_contact = $cfg_obj->getConfigInfo(0, 'cnt_%');
				if ($details['status'] > 0) {
					$html_email = arrayForEmail($cln_reference_array, $details, $cfg_global, $cfg_contact, $site_dir.$usr_tpl, $shp_tpl_13, $ui_lang);
					
					$smarty->assign('topic_content', $html_email);
					$tpl = 'shop_paycheck.tpl';
				} else {
					// VERIFY transaction
					if ($ipn_var['user_variable_1'] != $details['id']) {
						$error_msg .= $LOCAL_WARN_MSG['txn_notaccepted'];
						$tpl = 'shop_login.tpl';
					} else {
						$paymenttime = time();
						$details['txn'] = $ipn_var['transaction'];
						$details['paymenttime'] = $paymenttime;
						// email to admin
						$html_email = arrayForEmail($cln_reference_array, $details, $cfg_global, $cfg_contact, $site_dir.$usr_tpl, $shp_tpl_12, $ui_lang);
						
						$mailer_obj = new Mailer($shp_to, $shp_reply, $shp_to, $shp_cc, $shp_bcc, $shp_subj_12.' #'.$details['id'], $html_email, $email_style);
						$mailer_obj->sendEmail();
						// email to user
						$html_email = arrayForEmail($cln_reference_array, $details, $cfg_global, $cfg_contact, $site_dir.$usr_tpl, $shp_tpl_13, $ui_lang);
						
						$mailer_obj->Mailer($details['email'], $shp_reply, $shp_to, $shp_cc, $shp_bcc, $shp_subj_13.' #'.$details['id'], $html_email, $email_style);
						$mailer_obj->sendEmail();
						
						// update order status
						$orders_obj->updateOrders(array('status' => '\'1\'', 'txn' => '\''.$ipn_var['transaction'].'\'', 'paymenttime' => $paymenttime));
						// update basket status
						$baskets_obj->setFilterBySid($sid);
						$baskets_obj->updateBaskets(array('status' => '\'1\''));
						
						$success = 1;
						$smarty->assign('topic_content', $html_email);
						$tpl = 'shop_paycheck.tpl';
					}
				}
			} else {
				$error_msg .= $LOCAL_WARN_MSG['user_notauth'];
				$tpl = 'shop_login.tpl';
			}
		}
		$view_mode = 1;
	break;
//------------------------------------------------------------
	default:
		$error_msg = $SYS_WARN_MSG[$ui_lang]['action_wrong'];
		$tpl = 'shop_login.tpl';
		$action = 'list';
		$view_mode = 1;
}
//------------------------------------------------------------
// VIEW
	if ($view_mode > 1) {
		$smarty->assign('error_msg', $error_msg);
		$smarty->assign('warning_msg', $warning_msg);
		$smarty->display((($tpl) ? ($tpl) : ('shop_login.tpl')));
	} else
		$smarty->assign('pattern_content', $tpl);

	$smarty->assign('cid', $cid);
	$smarty->assign('pid', $pid);
	$smarty->assign('tid', $tid);
	$smarty->assign('prd_dir', $prd_dir);
	$smarty->assign('ui_lang', $ui_lang);
	$smarty->assign('success', $success);

?>