DROP TABLE IF EXISTS {$db_prefix}_clients;;
CREATE TABLE IF NOT EXISTS {$db_prefix}_clients (
  id int(4) NOT NULL auto_increment,
  status enum('0','1','2','3') NOT NULL default '0',
  news enum('0','1') NOT NULL default '0',
  bonus int(11) NOT NULL default '0',
  bonus_flag enum('0','1') NOT NULL default '0',
  name varchar(32) NOT NULL default '',
  surname varchar(64) NOT NULL default '',
  title varchar(32) NOT NULL default '',
  reference varchar(8) NOT NULL default '',
  firme varchar(64) NOT NULL default '',
  email varchar(127) default NULL,
  password varchar(255) NOT NULL default '',
  tel varchar(64) default NULL,
  street varchar(100) default NULL,
  zip varchar(32) default NULL,
  city varchar(40) default NULL,
  country varchar(32) default NULL,
  name_alternate varchar(64) NOT NULL default '',
  surname_alternate varchar(64) NOT NULL default '',
  title_alternate varchar(32) NOT NULL default '',
  reference_alternate varchar(8) NOT NULL default '',
  firme_alternate varchar(64) NOT NULL default '',
  tel_alternate varchar(64) default NULL,
  street_alternate varchar(100) default NULL,
  zip_alternate varchar(32) default NULL,
  city_alternate varchar(40) default NULL,
  country_alternate varchar(32) default NULL,
  birthday int(11) NOT NULL default '0',
  last_ordertime int(11) NOT NULL default '0',
  modifytime int(11) NOT NULL default '0',
  lastvisit int(11) NOT NULL default '0',
  addition text,
  partner varchar(127) default NULL,
  partner_id int(4) NOT NULL default '0',
  PRIMARY KEY (id),
  KEY status (status),
  UNIQUE KEY email (email)
);;

INSERT INTO {$db_prefix}_clients VALUES
('10000', '2', '0', '0', '0', 'Muster', 'Muster', '', '', '', 'muster@muster.net', 'c4ca4238a0b923820dcc509a6f75849b', 'Muster', 'Muster', 'Muster', 'Muster', 'Muster', '', '', '', '', '', '', '', '', '', '', '1282950000', '0', '1282987038', '0', '', '', '0');;


DROP TABLE IF EXISTS {$db_prefix}_config;;
CREATE TABLE IF NOT EXISTS {$db_prefix}_config (
  id int(4) NOT NULL auto_increment,
  dtree_id int(4) NOT NULL default '0',
  param varchar(32) NOT NULL default '0',
  value text,
  description varchar(127) default NULL,
  tip varchar(127) default NULL,
  PRIMARY KEY (id),
  UNIQUE KEY param (param),
  KEY dtree_id (dtree_id)
);;

INSERT INTO {$db_prefix}_config (dtree_id, param, value, description, tip) VALUES

(1, 'site_url', '{$site_url}', 'URL', 'http://domain'),
(1, 'site_alias', '{$site_alias}', 'ALIAS', 'http://www.domain'),
(1, 'site_title', '{$site_title}', 'Заголовок сайта', 'Title'),
(1, 'site_description', '{$site_description}', 'Описание', 'Предложение, ...'),
(1, 'site_keywords', '{$site_keywords}', 'Ключевые слова', 'Word1, Word2, ...'),
(1, 'site_dir', '{$site_dir}', 'Путь к сайту', '/home/domain/htdocs/'),
(1, 'design_dir', 'files/templates/', 'Путь к шаблонам дизайна', 'templates/'),
(1, 'files_dir', 'files/content/', 'Путь к содержанию', 'files/'),
(1, 'sys_img', 'files/images/', 'Путь к картинкам', 'files/img/'),
(1, 'usr_img', 'files/content/images/', 'Картинки пользователей', 'files/usr/img/'),
(1, 'usr_tpl', 'files/content/templates/', 'Шаблоны пользователей', 'files/usr/tpl/'),
(1, 'sess_expire', '240', 'Длительность сессии', 'sec.'),
(1, 'spam_expire', '10', 'Период для защиты от спама', 'min.'),
(1, 'msg_lang', 'ru', 'Язык', 'de, en, ru'),
(1, 'sys_email', '{$email}', 'Системная почта', 'support@domain.de'),
(1, 'zap_ver', '{$site_ver}', 'ZAPcms версия', 'vX.XX dd.mm.yyyy'),
(1, 'zap_theme', 'core', 'ZAPcms цветовая схема', 'core, core_yellow, core_blue'),
(1, 'csv_separator', ',', 'CSV Разделитель', ';/,'),
(1, 'chr_set', 'UTF-16LE', 'Export char set', 'UTF-8/UTF-16LE,'),
(1, 'format_dec_point', ',', 'Разделитель десятых', './,'),
(1, 'format_thousands_sep', '.', 'Разделитель тысяч', ',/.'),
(1, 'entry_id_default', '4', 'Модуль по-умолчанию entry_id', '4'),
(1, 'email_style', 'background-color:#fff;color:#000;', 'E-Mail style', 'color:#000;'),
(1, 'preview_size', 'width:950px;height:760px;', 'Размер окна предпросмотра', 'width:800px;height:600px;'),
(1, 'sys_currency', 'EUR', 'Валюта', 'EUR/USD/CHF/RUR'),

(10, 'fm_dir', 'files/content/', 'Путь к файлам', 'files/'),

(20, 'mnu_home', 'home', 'Начальный пункт', 'Home'),
(20, 'mnu_mode', '', 'Пользовательский режим', 'yes, -пусто-'),
(20, 'mnu_category', '', 'Категория по-умолчанию', 'En, Menu'),
(20, 'mnu_sourcetype', 'static', 'Тип по-умолчанию', 'static, dynamic, modul, url'),
(20, 'mnu_variables', '', 'Переменные по-умолчанию', 'language=ru'),
(20, 'mnu_pattern', '{$layout}', 'Layout шаблон', 'site_default.tpl'),
(20, 'mnu_pattern_1', 'menu_top.tpl', 'Верхнее меню шаблон', 'menu_top.tpl'),
(20, 'mnu_pattern_2', 'menu_main.tpl', 'Главное  меню шаблон', 'menu_main.tpl'),
(20, 'mnu_pattern_3', '', 'Подменю меню шаблон', 'menu_sub.tpl'),
(20, 'mnu_pattern_4', 'content_default.tpl', 'Содержимое шаблон 1', 'content_default.tpl'),
(20, 'mnu_pattern_5', '', 'Содержимое шаблон 2', 'content_add.tpl'),

(30, 'cln_list', '20', 'Записей на стр. администратора', 'Число'),
(30, 'cln_count', '5', 'Записей на стр. пользователя', 'Число'),
(30, 'cln_subj', 'Новый клиент', 'Subject', 'по-желанию'),
(30, 'cln_to', '{$email}', 'E-mail An', 'E-mail'),
(30, 'cln_reply', '{$email}', 'E-mail Reply', 'E-mail'),
(30, 'cln_cc', '', 'E-mail Cc', 'E-mail'),
(30, 'cln_bcc', '', 'E-mail Bcc', 'E-mail'),
(30, 'cln_status', '0=---;1=Неактивен;2=Активен;3=Постоянный клиент', 'Статус', 'id=Активен/Неактивен/Новый'),

(40, 'gsb_list', '20', 'Записей на стр. администратора', 'Число'),
(40, 'gsb_count', '8', 'Записей на стр. пользователя', 'Число'),
(40, 'gsb_subj', 'New contact in guestbook', 'Тема письма', 'по-желанию'),
(40, 'gsb_to', '{$email}', 'E-mail кому', 'E-mail'),
(40, 'gsb_reply', '{$email}', 'E-mail ответ', 'E-mail'),
(40, 'gsb_cc', '', 'E-mail Cc', 'E-mail'),
(40, 'gsb_bcc', '', 'E-mail Bcc', 'E-mail'),
(40, 'gsb_status', '0=---;1=деактивирован;2=активный;3=новый;4=контакт', 'Статус', 'id=Активен/Неактивен/Новый'),

(60, 'cnt_subj', 'Message from contact page', 'Тема контакта', 'any'),
(60, 'cnt_to', '{$email}', 'E-mail кому', 'E-mail'),
(60, 'cnt_reply', '{$email}', 'E-mail ответ', 'E-mail'),
(60, 'cnt_cc', '', 'E-mail Cc', 'E-mail'),
(60, 'cnt_bcc', '', 'E-mail Bcc', 'E-mail'),
(60, 'cnt_name', 'Doris M&uuml;ller', 'Имя', 'Петр Иванов'),
(60, 'cnt_firme', 'Firma GmbH', 'Организация', 'Рога и Копыта'),
(60, 'cnt_address', 'Weg str. 10', 'Адрес', 'Проспект Победителей'),
(60, 'cnt_zip', '12345', 'Индекс', '12345'),
(60, 'cnt_city', 'Frankfurt', 'Город', 'Бобруйск'),
(60, 'cnt_country', 'Deutschland', 'Страна', 'Беларусь'),
(60, 'cnt_tel', '+49 12 1234567', 'Телефон', '+49 12 1234567'),
(60, 'cnt_fax', '+49 12 1234567', 'Факс', '+49 12 1234567'),
(60, 'cnt_tax_num', '12345/12345', 'Налоговый номер', '12345/12345'),
(60, 'cnt_vat_num', 'de 123456789', 'Регистрационный номер', 'de 123456789'),
(60, 'cnt_com_num', 'HRB 123456', 'ИП номер', 'HRB 123456'),
(60, 'cnt_bank', 'Muster Bank', 'Бенк', 'Приорбанк'),
(60, 'cnt_blz', '12345678', 'BLZ', '12345678'),
(60, 'cnt_account', '1234567', 'Номер счета', '1234567'),
(60, 'cnt_iban', 'DE12345678', 'IBAN', 'DE12345678'),
(60, 'cnt_bic', 'MUSTER', 'BIC', 'MUSTER'),

(120, 'nwl_to', '{$email}', 'E-mail кому', 'E-mail'),
(120, 'nwl_reply', '{$email}', 'E-mail ответ', 'E-mail'),
(120, 'nwl_cc', '', 'E-mail Cc', 'E-mail'),
(120, 'nwl_bcc', '', 'E-mail Bcc', 'E-mail'),
(120, 'nwl_subj_req', 'Newsletter request', 'Тема запроса рассылки', 'request'),
(120, 'nwl_tpl_req', 'Email_Newsletter_Request.tpl', 'Шаблон запроса рассылки', 'template.tpl'),
(120, 'nwl_subj_cancel', 'Newsletter rejection', 'Тема отмены рассылки', 'rejection'),
(120, 'nwl_tpl_cancel', 'Email_Newsletter_Reject.tpl', 'Шаблон отмены рассылки', 'template.tpl'),
(120, 'nwl_list', '30', 'Записей на стр. администратора', 'Число'),
(120, 'nwl_count', '10', 'Рассылать за раз', 'штук'),
(120, 'nwl_period', '10', 'Период рассылки', 'sec.'),
(120, 'nwl_status', '1=Neu;2=Активен;3=Неактивен;4=Beendet', 'Статус', 'id=Активен/Неактивен/Новый'),
(120, 'nwl_def_name', 'Sehr geehrtes Mitglied', 'Обращение по-умолчанию', 'Уважаемый гость'),
(120, 'nwl_separator_name', ',', 'Разделитель имени', '=/;/,'),
(120, 'nwl_separator_email', ';', 'Разделитель адреса Email', ',/=/;'),
(120, 'nwl_email_style', 'background-color:#fff;color:#000;', 'Стиль E-Mail', 'color:#000;'),

(101, 'nwe_status', '0=---;1=Неактивен;2=Активен;3=Отказано', 'E-Mail Статус', 'id=Активен/Неактивен/Новый'),
(101, 'nwe_list', '30', 'Записей на стр. администратора', 'штук'),
(101, 'nwe_group', 'Новости; Акции', 'Группа рассылки', 'Новости; Акции'),

(313, 'nws_list', '30', 'Записей на стр. администратора', 'штук'),
(313, 'nws_status', '0=---; 1=Активен; 2=Новый; 3=Неактивен; 4=Архив', 'Статус', 'id=Активен/Неактивен/Новый'),

(300, 'cmn_list', '30', 'Записей на стр. администратора', 'штук'),
(300, 'cmn_status', '0=---; 1=Активен; 2=Новый; 3=Неактивен; 4=Архив', 'Статус', 'id=Активен/Неактивен/Новый'),

(122, 'img_status', '0=---; 1=деактивирован; 2=активный; 3=новый', 'Статус', 'id=Активен/Неактивен/Новый'),
(122, 'img_prop', '500=500xXXX; 800=800xXXX; 200=200xXXX; 100=100xXXX; 1=1 zu 1', 'Размеры картинок', '250xXXX=250'),
(122, 'img_quality', '90', 'Качество', '85'),

(110, 'upl_dir', 'zap/', 'Путь к файлу .htaccess', 'zap/'),
(110, 'upl_users', 'Usr001:6ESpzbKD; Usr002:CNZXbM85; Usr003:4s7jAqWT', 'Список пользователей', 'Пользователь/Пароль');;


DROP TABLE IF EXISTS {$db_prefix}_dtree;;
CREATE TABLE IF NOT EXISTS {$db_prefix}_dtree (
  id int(4) NOT NULL auto_increment,
  priority int(4) NOT NULL default '0',
  parent_id int(4) NOT NULL default '0',
  type_id int(4) NOT NULL default '0',
  title varchar(127) NOT NULL default '0',
  prefix varchar(4) NOT NULL default '0',
  path text,
  active enum('0','1') NOT NULL default '1',
  description varchar(255) default NULL,
  PRIMARY KEY (id),
  KEY parent_id (parent_id),
  KEY type_id (type_id)
);;

INSERT INTO {$db_prefix}_dtree (id, priority, parent_id, type_id, title, prefix, path, active, description) VALUES
(1, 0, 0, 10, '{$site_url}', 'rtt', 'core/index.php', '1', 'Webseite Title'),
(2, 100, 1, 20, 'Настройки', 'cfg', 'config/index.php', '1', 'Модуль служит для изиенения настроек системы.'),
(3, 500, 1, 80, 'Помощь', 'hlp', 'help/index.php', '1', '- Общая информация;<br />- Техническая поддержка;<br />- Участники проекта.'),
(4, 200, 1, 30, 'Модули', 'mdl', 'core/index.php', '1', 'Модуль - это программа, служит для управления информацией в базе данных или работы с файлами сайта.'),
(5, 300, 1, 50, 'Профили', 'acc', 'core/index.php', '1', 'Модуль служит для управления информацией о пользователях системы.'),
(6, 301, 5, 40, 'Пользователи', 'usr', 'users/index.php', '1', 'Пользователи и настройки. Позволяет управлять и настраивать пользователей системы.'),
(7, 302, 5, 40, 'Роли', 'rls', 'roles/index.php', '1', 'Роли. Позволяет настраивать права доступа пользователей к модулям.'),
(8, 600, 1, 90, 'Вход', 'lgn', 'users/login.php', '1', 'Вход'),
(9, 700, 1, 100, 'Выход', 'lgt', 'users/logout.php', '1', 'Завершение работы с системой.'),
(10, 207, 4, 40, 'Файловый менеджер', 'fmn', 'fm/index.php', '1', 'Управление файлами содержимого и дизайном сайта.'),
(20, 201, 4, 40, 'Меню', 'mnu', 'menu/index.php', '1', 'Управление структурой меню.'),
(30, 204, 70, 40, 'Клиенты', 'cln', 'clients/index.php', '1', 'Управление информацией о клиентах.'),
(40, 210, 4, 41, 'Гостевая книга', 'gsb', 'guestbook/index.php', '1', 'Управление записями в гостевой книге.'),
(50, 101, 1, 101, 'Favorites', 'srh', 'core/index.php', '1', 'Быстрый доступ'),
(60, 216, 4, 41, 'Контакты', 'cnt', 'contact/index.php', '1', 'Контактная информация.'),
(70, 203, 4, 40, 'Магазин', 'shp', 'core/index.php', '1', 'Shop Verwalten:<br />- Produkte;<br />- Bestellungen;<br />- Business Intelligence.'),
(80, 1, 70, 41, 'Produkte', 'prd', 'shop/index_products.php', '1', 'Produkte Verwalten.'),
(90, 2, 70, 40, 'Bestellungen', 'bkn', 'shop/index_orders.php', '1', 'Bestellungen Verwalten.'),
(91, 3, 70, 40, 'PayPal', 'ppl', 'shop/index_paypal.php', '1', 'PayPal Informationen.'),
(92, 4, 70, 40, 'Sofort Überweisung', 'sfr', 'shop/index_sofort.php', '1', 'SofortÜberweisung Informationen.'),
(93, 5, 70, 40, 'BIM', 'bim', 'shop/index_bim.php', '1', 'Business Intelligence Modul (Warenwirtschaftssystem).'),
(94, 4, 70, 40, '- Dummy -', 'cnc', 'core/index.php', '1', '- Dummy -'),
(95, 4, 70, 40, 'Master Payment', 'mpt', 'shop/index_masterpayment.php', '1', 'Master Payment Informationen. Kreditkarten Bezahlung.'),
(100, 210, 4, 41, 'Download медиа', 'dwn', 'download/index.php', '1', 'Скачивание медиа файлов, напр. видео и больших изображений.'),
(110, 3, 200, 40, '.htaccess', 'upl', 'upload/index.php', '1', 'Установка правил доступа к веб серверу с помощью htaccess файлов.'),
(120, 212, 4, 40, 'Рассылка новостей', 'nwl', 'newsletter/index.php', '1', 'Управление рассылкой новостей.'),
(101, 10, 4, 40, 'Email адреса', 'nwe', 'newsletter/index_emails.php', '1', 'Модуль служит для управления адресами получателей рассылок.'),
(121, 213, 4, 41, '- Dummy -', 'evn', 'core/index.php', '1', '- Dummy -'),
(122, 202, 4, 41, 'Картинки', 'img', 'galery/index.php', '1', 'Загрузка и изменение картинок, управление галереями сайта.'),
(200, 220, 1, 60, 'Инструменты', 'tls', 'core/index.php', '1', 'Дополнительные инструменты управления.'),
(210, 1, 200, 40, 'Сессии', 'ses', 'sessions/index.php', '1', 'Сессии пользователей.'),
(211, 2, 200, 40, 'Backup', 'bck', 'backup/index.php', '1', 'Запросы базы данных.'),
(300, 230, 1, 65, '- Dummy -', 'gms', 'core/index.php', '1', '- Dummy -'),
(310, 1, 300, 40, '- Dummy -', 'mns', 'core/index.php', '1', '- Dummy -'),
(311, 1, 300, 40, '- Dummy -', 'snk', 'core/index.php', '1', '- Dummy -'),
(312, 1, 300, 40, '- Dummy -', 'prk', 'core/index.php', '1', '- Dummy -'),
(313, 212, 4, 41, 'Новости', 'nws', 'news/index.php', '1', 'Управление лентой новостей.');;


DROP TABLE IF EXISTS {$db_prefix}_dtree_roles;;
CREATE TABLE IF NOT EXISTS {$db_prefix}_dtree_roles (
  id int(4) NOT NULL auto_increment,
  dtree_id int(4) NOT NULL default '0',
  role_id int(4) NOT NULL default '0',
  attr tinyint(4) NOT NULL default '1',
  PRIMARY KEY (id),
  KEY dtree_id (dtree_id),
  KEY role_id (role_id)
);;

INSERT INTO {$db_prefix}_dtree_roles (dtree_id, role_id, attr) VALUES
(1, 1, 4),
(2, 1, 4),
(3, 1, 4),
(4, 1, 4),
(5, 1, 4),
(6, 1, 4),
(7, 1, 4),
(8, 1, 0),
(9, 1, 1),
(10, 1, 4),
(20, 1, 4),
(30, 1, 0),
(40, 1, 4),
(50, 1, 4),
(60, 1, 4),
(70, 1, {$modul_shop}),
(80, 1, {$modul_shop}),
(90, 1, {$modul_shop}),
(91, 1, {$modul_shop}),
(92, 1, {$modul_shop}),
(93, 1, {$modul_shop}),
(94, 1, 0),
(95, 1, {$modul_shop}),
(100, 1, 0),
(101, 1, 4),
(110, 1, 4),
(120, 1, 4),
(121, 1, 0),
(122, 1, 4),
(200, 1, 4),
(210, 1, 4),
(211, 1, 4),
(300, 1, 0),
(310, 1, 0),
(311, 1, 0),
(312, 1, 0),
(313, 1, 4),

(1, 2, 1),
(2, 2, 0),
(3, 2, 1),
(4, 2, 0),
(5, 2, 0),
(6, 2, 0),
(7, 2, 0),
(8, 2, 0),
(9, 2, 1),
(10, 2, 0),
(20, 2, 0),
(30, 2, 0),
(40, 2, 0),
(50, 2, 0),
(60, 2, 0),
(70, 2, {$modul_shop}),
(80, 2, {$modul_shop}),
(90, 2, {$modul_shop}),
(91, 2, {$modul_shop}),
(92, 2, {$modul_shop}),
(93, 2, {$modul_shop}),
(94, 2, {$modul_shop}),
(95, 2, 0),
(100, 2, 0),
(101, 2, 0),
(110, 2, 0),
(120, 2, 0),
(121, 2, 0),
(122, 2, 0),
(200, 2, 0),
(210, 2, 0),
(211, 2, 0),
(300, 2, 0),
(310, 2, 0),
(311, 2, 0),
(312, 2, 0),
(313, 2, 0);;


DROP TABLE IF EXISTS {$db_prefix}_profils;;
CREATE TABLE IF NOT EXISTS {$db_prefix}_profils (
  id int(4) NOT NULL auto_increment,
  user_id int(4) NOT NULL default '0',
  param varchar(127) NOT NULL default '0',
  value varchar(255) NOT NULL default '0',
  description varchar(127) default NULL,
  tip varchar(127) default NULL,
  PRIMARY KEY (id),
  KEY user_id (user_id)
);;

INSERT INTO {$db_prefix}_profils (user_id, param, value, description, tip) VALUES
(5, 'rtt_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'cfg_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'hlp_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'mdl_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'usr_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'rls_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'lgt_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'lgn_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'fmn_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'mnu_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'cln_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'gsb_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'srh_sort', 'Меню=20&Галерея=122&Файлы=10&Backup=211&Рассылка=120&Новости=313&Сообщения=40', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'cnt_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'shp_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'prd_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'bkn_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'dwn_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'nwl_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'nwe_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'tls_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'ses_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'upl_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'mns_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'ppl_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'bim_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'sfr_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'evn_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'img_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'bck_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'gms_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'snk_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'prk_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'nws_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'cnc_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),
(5, 'mpt_sort', '0', 'Aufzeichnung der Suche', 'http Anfrage'),

(100, 'rtt_sort', '0', NULL, NULL),
(100, 'cfg_sort', '0', NULL, NULL),
(100, 'hlp_sort', '0', NULL, NULL),
(100, 'mdl_sort', '0', NULL, NULL),
(100, 'usr_sort', '0', NULL, NULL),
(100, 'rls_sort', '0', NULL, NULL),
(100, 'lgn_sort', '0', NULL, NULL),
(100, 'lgt_sort', '0', NULL, NULL),
(100, 'fmn_sort', '0', NULL, NULL),
(100, 'mnu_sort', '0', NULL, NULL),
(100, 'cln_sort', '0', NULL, NULL),
(100, 'gsb_sort', '0', NULL, NULL),
(100, 'srh_sort', '0', NULL, NULL),
(100, 'cnt_sort', '0', NULL, NULL),
(100, 'shp_sort', '0', NULL, NULL),
(100, 'prd_sort', '0', NULL, NULL),
(100, 'bkn_sort', '0', NULL, NULL),
(100, 'dwn_sort', '0', NULL, NULL),
(100, 'nwl_sort', '0', NULL, NULL),
(100, 'nwe_sort', '0', NULL, NULL),
(100, 'tls_sort', '0', NULL, NULL),
(100, 'ses_sort', '0', NULL, NULL),
(100, 'upl_sort', '0', NULL, NULL),
(100, 'mns_sort', '0', NULL, NULL),
(100, 'ppl_sort', '0', NULL, NULL),
(100, 'bim_sort', '0', NULL, NULL),
(100, 'sfr_sort', '0', NULL, NULL),
(100, 'evn_sort', '0', NULL, NULL),
(100, 'img_sort', '0', NULL, NULL),
(100, 'bck_sort', '0', NULL, NULL),
(100, 'gms_sort', '0', NULL, NULL),
(100, 'snk_sort', '0', NULL, NULL),
(100, 'prk_sort', '0', NULL, NULL),
(100, 'nws_sort', '0', NULL, NULL),
(100, 'cnc_sort', '0', NULL, NULL),
(100, 'mpt_sort', '0', NULL, NULL),

(6, 'rtt_sort', '0', NULL, NULL),
(6, 'cfg_sort', '0', NULL, NULL),
(6, 'hlp_sort', '0', NULL, NULL),
(6, 'mdl_sort', '0', NULL, NULL),
(6, 'usr_sort', '0', NULL, NULL),
(6, 'rls_sort', '0', NULL, NULL),
(6, 'lgn_sort', '0', NULL, NULL),
(6, 'lgt_sort', '0', NULL, NULL),
(6, 'fmn_sort', '0', NULL, NULL),
(6, 'mnu_sort', '0', NULL, NULL),
(6, 'cln_sort', '0', NULL, NULL),
(6, 'gsb_sort', '0', NULL, NULL),
(6, 'srh_sort', 'Меню=20&Галерея=122&Файлы=10&Backup=211&Рассылка=120&Новости=313&Сообщения=40', NULL, NULL),
(6, 'cnt_sort', '0', NULL, NULL),
(6, 'shp_sort', '0', NULL, NULL),
(6, 'prd_sort', '0', NULL, NULL),
(6, 'bkn_sort', '0', NULL, NULL),
(6, 'dwn_sort', '0', NULL, NULL),
(6, 'nwl_sort', '0', NULL, NULL),
(6, 'nwe_sort', '0', NULL, NULL),
(6, 'tls_sort', '0', NULL, NULL),
(6, 'ses_sort', '0', NULL, NULL),
(6, 'upl_sort', '0', NULL, NULL),
(6, 'mns_sort', '0', NULL, NULL),
(6, 'ppl_sort', '0', NULL, NULL),
(6, 'bim_sort', '0', NULL, NULL),
(6, 'sfr_sort', '0', NULL, NULL),
(6, 'evn_sort', '0', NULL, NULL),
(6, 'img_sort', '0', NULL, NULL),
(6, 'bck_sort', '0', NULL, NULL),
(6, 'gms_sort', '0', NULL, NULL),
(6, 'snk_sort', '0', NULL, NULL),
(6, 'prk_sort', '0', NULL, NULL),
(6, 'nws_sort', '0', NULL, NULL),
(6, 'cnc_sort', '0', NULL, NULL),
(6, 'mpt_sort', '0', NULL, NULL);;


DROP TABLE IF EXISTS {$db_prefix}_roles;;
CREATE TABLE IF NOT EXISTS {$db_prefix}_roles (
  id int(4) NOT NULL auto_increment,
  role varchar(64) NOT NULL default 'everyone',
  description varchar(255) default NULL,
  PRIMARY KEY (id),
  UNIQUE KEY role (role)
);;

INSERT INTO {$db_prefix}_roles (id, role, description) VALUES
(1, 'Administrator', 'Administrator Vorlage.'),
(2, 'Anonymous', '');;


DROP TABLE IF EXISTS {$db_prefix}_type;;
CREATE TABLE IF NOT EXISTS {$db_prefix}_type (
  id int(4) NOT NULL auto_increment,
  title varchar(16) NOT NULL default '0',
  open varchar(255) NOT NULL default '0',
  close varchar(255) NOT NULL default '0',
  PRIMARY KEY (id)
);;

INSERT INTO {$db_prefix}_type (id, title, open, close) VALUES
('10', 'Main', 'i20_base', 'i20_base'),
('20', 'Configuration', 'i20_cfg', 'i20_cfg'),
('30', 'Moduls', 'i20_mdl', 'i20_mdl'),
('40', 'Modul', 'i20_open', 'i20_close'),
('41', 'User Modul', 'i20_open', 'i20_close'),
('50', 'Users', 'i20_usr', 'i20_usr'),
('60', 'Tools', 'i20_utl', 'i20_utl'),
('65', 'Games', 'i20_open', 'i20_close'),
('70', 'Tip', 'i20_close', 'i20_close'),
('80', 'Help', 'i20_hlp', 'i20_hlp'),
('90', 'Login', 'i20_login', 'i20_login'),
('100', 'Logout', 'i20_logout', 'i20_logout'),
('101', 'Favorites', 'i20_fav', 'i20_fav');;


DROP TABLE IF EXISTS {$db_prefix}_users;;
CREATE TABLE IF NOT EXISTS {$db_prefix}_users (
  id int(4) NOT NULL auto_increment,
  active enum('0','1') NOT NULL default '0',
  name varchar(127) NOT NULL default '',
  surname varchar(127) NOT NULL default '',
  email varchar(64) default NULL,
  nick varchar(127) NOT NULL default '',
  `password` varchar(255) NOT NULL default '',
  lastvisit int(11) NOT NULL default '0',
  addition text,
  `local` varchar(8) NOT NULL default 'GMT',
  city varchar(64) default NULL,
  PRIMARY KEY (id),
  UNIQUE KEY (nick)
);;


INSERT INTO {$db_prefix}_users (id, active, name, surname, email, nick, password, lastvisit, addition, local, city) VALUES
(5, '1', 'System', 'Administrator', 'andrey@marchenko.de', 'zap305', '5afb23360530034785ce7a0d09f117fa', 1216067264, '', 'GMT', ''),
(100, '1', 'Anonymous', '', '--', 'Anonymous', '5f4dcc3b5aa765d61d8327deb882cf99', 1214897977, '', 'GMT-12', ''),
(6, '1', 'Administrator', '', '--', '{$site_usr}', '{$site_pwd}', 1216029971, '', 'GMT-12', '');;


DROP TABLE IF EXISTS {$db_prefix}_users_roles;;
CREATE TABLE IF NOT EXISTS {$db_prefix}_users_roles (
  user_id int(4) NOT NULL default '0',
  role_id int(4) NOT NULL default '0',
  PRIMARY KEY (user_id),
  KEY role_id (role_id)
);;

INSERT INTO {$db_prefix}_users_roles (user_id, role_id) VALUES
(5, 1),
(100, 2),
(6, 1);;


DROP TABLE IF EXISTS {$db_prefix}_galery;;
CREATE TABLE IF NOT EXISTS {$db_prefix}_galery (
  id int(4) NOT NULL auto_increment,
  priority int(4) NOT NULL default '0',
  status enum('0','1','2','3') NOT NULL DEFAULT '3',
  caption varchar(255) NOT NULL default '',
  filename varchar(255) NOT NULL default '',
  alttext varchar(255) NOT NULL default '',
  folder_id int(4) NOT NULL default '0',
  width varchar(4) NOT NULL default '',
  property varchar(16) NOT NULL default '',
  createtime int(11) NOT NULL default '0',
  modifytime int(11) NOT NULL default '0',
  PRIMARY KEY id (id),
  UNIQUE KEY filename (filename)
);;

INSERT INTO {$db_prefix}_galery (id, priority, status, caption, filename, alttext, folder_id, width, property, createtime, modifytime) VALUES
 ('3', '1', '3', 'bild_shablone.gif', 'bild_shablone.gif', 'Muster', '0', '1', '150x150', '1198064167', '1198064167'),
 ('63', '2', '2', 'ayurveda.jpg', 'ayurveda.jpg', 'ayurvedic-colon-cleaning.com', '599', '800', '800x685', '1330810783', '1350396745'),
 ('70', '1', '2', '01_login.png', '01_login.png', 'Login', '596', '1', '770x400', '1336933912', '1350393330'),
 ('73', '4', '2', '04_menu.png', '04_menu.png', 'Inhalte editieren', '596', '1', '770x400', '1336933913', '1350392898'),
 ('76', '7', '2', '07_tiny_save.png', '07_tiny_save.png', 'Inhalte speichern', '596', '1', '770x400', '1336933915', '1350392924'),
 ('77', '1', '2', 'ZAPms_concept.png', 'ZAPms_concept.png', 'ZAPms Konzept', '596', '1', '770x400', '1336933915', '1350382944'),
 ('79', '8', '2', 'menu_details.jpg', 'menu_details.jpg', 'Menüpunkt editieren', '596', '1', '638x729', '1348596139', '1350392941'),
 ('80', '9', '2', 'galery_list.jpg', 'galery_list.jpg', 'Bildergalerie', '596', '800', '800x385', '1348596425', '1350392949'),
 ('81', '10', '2', 'file_manager_list.jpg', 'file_manager_list.jpg', 'Dateimanager', '596', '800', '800x466', '1348597383', '1350392956'),
 ('84', '13', '2', 'edit_htaccess.jpg', 'edit_htaccess.jpg', '.htaccess und .htpasswd editieren', '596', '800', '800x477', '1348598349', '1350392975'),
 ('85', '8', '2', 'edit_news.jpg', 'edit_news.jpg', 'Nachrichten und News editieren', '596', '1', '758x657', '1348598551', '1350392933');;


DROP TABLE IF EXISTS {$db_prefix}_help;;
CREATE TABLE IF NOT EXISTS {$db_prefix}_help (
  id int(4) NOT NULL auto_increment,
  parent_id int(4) NOT NULL default '0',
  title varchar(127) NOT NULL default '0',
  path text,
  active enum('0','1') NOT NULL default '1',
  description varchar(255) default NULL,
  PRIMARY KEY (id),
  KEY parent_id (parent_id)
);;

INSERT INTO {$db_prefix}_help (id, parent_id, title, path, active, description) VALUES
(1, 0, 'Informationen', 'info.html', '1', 'Informationen'),
(2, 1, 'Technischer Support', 'support.html', '1', 'Technischer Support'),
(3, 1, 'Teilnehmer', 'credits.html', '1', 'Teilnehmer');;


DROP TABLE IF EXISTS {$db_prefix}_menu;;
CREATE TABLE IF NOT EXISTS {$db_prefix}_menu (
  id int(4) NOT NULL auto_increment,
  parent_id int(4) NOT NULL default '0',
  priority int(4) NOT NULL default '0',
  name varchar(32) NOT NULL default '0',
  title varchar(127) NOT NULL default '0',
  sourcetype enum('folder','url','static','dynamic','modul') NOT NULL default 'static',
  source text,
  `variables` varchar(127) default NULL,
  pattern varchar(32) default NULL,
  pattern_1 varchar(32) default NULL,
  pattern_2 varchar(32) default NULL,
  pattern_3 varchar(32) default NULL,
  pattern_4 varchar(32) default NULL,
  pattern_5 varchar(32) default NULL,
  active enum('0','1') NOT NULL default '1',
  description varchar(255) default NULL,
  createtime int(11) NOT NULL default '0',
  modifytime int(11) NOT NULL default '0',
  keywords varchar(255) default NULL,
  login enum('0','1') NOT NULL default '1',
  role_id int(4) NOT NULL default '1',
  PRIMARY KEY (id),
  KEY parent_id (parent_id)
);;

INSERT INTO {$db_prefix}_menu VALUES
 ('517', '0', '1', 'aufbau', 'Aufbau', 'dynamic', 'Unsere Webseite befindet sich heute in der Wartung.<br />Es wurde leider ein Fehler festgestellt. Schauen Sie bitte morgen noch einmal vorbei.<br />Vielen Dank.', '', 'site_default.tpl', 'menu_top_en.tpl', '', '', 'content_default.tpl', '', '0', '', '1293909996', '1293909996', '', '1', '1'),
 ('568', '0', '3', 'Menu', 'Menu', 'folder', '', '', 'site_default.tpl', '', '', '', '', '', '1', '', '1294233633', '1336925507', '', '1', '1'),
 ('576', '568', '30', 'contact', 'Kontakt', 'modul', 'contact/index.php', 'language=ru', 'site_default.tpl', 'menu_top.tpl', '', '', '', 'content_impressum.tpl', '1', '', '1294237394', '1348501839', '', '1', '1'),
 ('596', '568', '3', 'home', 'Startseite', 'static', 'Home-de.html', 'language=ru', 'site_default.tpl', 'menu_top.tpl', 'menu_galery.tpl', '', 'content_default.tpl', 'content_news.tpl', '1', '', '1330798999', '1350588290', '', '1', '1'),
 ('599', '568', '4', 'info', 'Info', 'static', 'Doku-de.html', 'language=ru', 'site_default.tpl', 'menu_top.tpl', 'menu_galery.tpl', 'content_features.tpl', 'content_default.tpl', '', '1', '', '1330805403', '1350588170', '', '1', '1'),
 ('601', '568', '30', 'feedback', 'Feedback', 'modul', 'guestbook/index.php', 'language=ru', 'site_default_wide.tpl', 'menu_top.tpl', 'menu_main.tpl', '', '', '', '1', '', '1294237394', '1348505360', '', '1', '1'),
 ('602', '826', '2', 'footer', 'Footer', 'static', 'footer-de.html', 'language=ru', 'site_default.tpl', 'menu_top.tpl', '', 'menu_sub.tpl', 'content_default.tpl', '', '0', '', '1348493222', '1350588091', '', '1', '1'),
 ('605', '0', '1', 'demo', 'Demo', 'url', 'http://www.zapms.de/test', 'language=ru', 'content_empty.tpl', '', '', '', '', '', '1', '', '1348508779', '1350411388', '', '1', '1'),
 ('606', '826', '2', 'features', 'Features', 'static', 'features-de.html', 'language=ru', 'site_default.tpl', 'menu_top.tpl', 'menu_main.tpl', 'menu_sub.tpl', 'content_default.tpl', '', '0', '', '1348493222', '1350588076', '', '1', '1'),
 ('826', '0', '5', 'Inhalte', 'Inhalte', 'folder', '', '', 'site_default.tpl', '', '', '', '', '', '1', '', '1350583161', '1350583161', '', '1', '1'),
 ('827', '568', '32', 'newsletter', 'Newsletter', 'modul', 'newsletter/index.php', 'language=ru', 'site_default_wide.tpl', 'menu_top.tpl', 'menu_main.tpl', '', '', '', '1', '', '1294237394', '1350583355', '', '1', '1');;


DROP TABLE IF EXISTS {$db_prefix}_guestbook;;
CREATE TABLE IF NOT EXISTS {$db_prefix}_guestbook (
  id int(4) NOT NULL auto_increment,
  status enum('0','1','2','3','4') NOT NULL default '0',
  name varchar(64) NOT NULL default '',
  email varchar(64) default NULL,
  web varchar(127) default NULL,
  state varchar(32) NOT NULL default '',
  message text,
  ui_lang varchar(2) NOT NULL default 'ru',
  createtime int(11) NOT NULL default '0',
  modifytime int(11) NOT NULL default '0',
  ip varchar(15) NOT NULL default '0.0.0.0',
  PRIMARY KEY (id),
  KEY ip (ip)
);;

INSERT INTO {$db_prefix}_guestbook VALUES('1', '2', 'Пример', '', '', '', 'Пример', 'ru', '1283373128', '1283373128', '127.0.0.1');;

DROP TABLE IF EXISTS {$db_prefix}_newsletter;;
CREATE TABLE {$db_prefix}_newsletter (
  id int(4) NOT NULL AUTO_INCREMENT,
  subject varchar(127) NOT NULL DEFAULT '0',
  recipienttype enum('static','dynamic') NOT NULL default 'static',
  recipient text,
  sourcetype enum('static','dynamic') NOT NULL default 'static',
  source text,
  status enum('0','1','2','3','4') NOT NULL DEFAULT '0',
  target_group_id int(4) default '0',
  createtime int(11) NOT NULL DEFAULT '0',
  modifytime int(11) NOT NULL DEFAULT '0',
  KEY subject (subject),
  PRIMARY KEY (id)
);;

DROP TABLE IF EXISTS {$db_prefix}_newsletter_jobs;;
CREATE TABLE {$db_prefix}_newsletter_jobs (
  id int(4) NOT NULL AUTO_INCREMENT,
  newsletter_id int(4) NOT NULL,
  email varchar(64) default NULL,
  reference varchar(127) default NULL,
  status enum('0','1','2') NOT NULL DEFAULT '0',
  description varchar(32),
  modifytime int(11) DEFAULT '0' NOT NULL,
  KEY newsletter_id (newsletter_id),
  PRIMARY KEY (id)
);;

DROP TABLE IF EXISTS {$db_prefix}_newsletter_emails;;
CREATE TABLE IF NOT EXISTS {$db_prefix}_newsletter_emails (
  id int(4) NOT NULL auto_increment,
  status enum('0','1','2','3') NOT NULL default '0',
  name varchar(32) NOT NULL default '',
  surname varchar(64) NOT NULL default '',
  title varchar(32) NOT NULL default '',
  reference varchar(8) NOT NULL default '',
  firme varchar(64) NOT NULL default '',
  email varchar(127) default NULL,
  target_group_id int(4) default '0',
  ui_lang varchar(2) NOT NULL default 'de',
  createtime int(11) NOT NULL default '0',
  modifytime int(11) NOT NULL default '0',
  PRIMARY KEY (id),
  UNIQUE KEY email (email)
);;

DROP TABLE IF EXISTS {$db_prefix}_news;;
CREATE TABLE {$db_prefix}_news (
    id int(4) NOT NULL AUTO_INCREMENT,
    status enum('0','1','2','3','4') NOT NULL DEFAULT '0',
    user varchar(127) NOT NULL,
    category_id int(11) NOT NULL DEFAULT '0',
    title varchar(255),
    description varchar(255) NOT NULL,
    full_description text,
    image varchar(255),
    priority int(4) NOT NULL DEFAULT '0',
    theme_id int(1) NOT NULL DEFAULT '0',
    ui_lang varchar(2) NOT NULL default 'ru',
    starttime int(11) NOT NULL DEFAULT '1300000000',
    createtime int(11) NOT NULL DEFAULT '0',
    modifytime int(11) NOT NULL DEFAULT '0',
    KEY category_id (category_id),
    PRIMARY KEY (id)
);;

INSERT INTO {$db_prefix}_news VALUES
('1', '1', 'Administrator ', '596', 'Новость: последняя версия CMS', 'скачать с сайта http://zapms.de', '', '', '100', '0', 'ru', '1368425160', '1336934791', '1336935297');;

DROP TABLE IF EXISTS {$db_prefix}_comments;;
CREATE TABLE {$db_prefix}_comments (
    id int(4) NOT NULL AUTO_INCREMENT,
    status enum('0','1','2','3','4') NOT NULL DEFAULT '0',
    weight int(4) NOT NULL DEFAULT '0',
    value int(4) NOT NULL DEFAULT '0',
    category_id int(11) NOT NULL DEFAULT '0',
    page_link varchar(255),
    name varchar(64),
    comments text,
    ui_lang varchar(2) NOT NULL default 'ru',
    createtime int(11) NOT NULL default '0',
    modifytime int(11) NOT NULL default '0',
    ip varchar(15) NOT NULL default '0.0.0.0',
    KEY category_id (category_id, page_link),
    PRIMARY KEY (id)
);;

SHOW TABLES
