﻿
/**
 * Object filtert die Liste
 */
function filterList(targetObj) {
	// PARAMETERS
	this.targetObj = targetObj;
	this.flags = 'i'; // 'i' = ignore case, '' - do not igrore
	this.default_text = 'keine Treffer';
	this.default_value = '0';
	this.match_text = true;
	this.match_value = false;

	this.show_debug = false; // debug alert
	
	// METHODS
	// ------------------------------------------
	this.init = function() {
		if (!this.targetObj) return false;
		if (!this.targetObj.options) return false;

		this.optionscopy = new Array();
		if (this.targetObj && this.targetObj.options) {
			for (var i = 0; i < this.targetObj.options.length; i ++) {
				this.optionscopy[i] = new Option();
				this.optionscopy[i].text = targetObj.options[i].text; // set text
				if (targetObj.options[i].value)
					this.optionscopy[i].value = targetObj.options[i].value;
				else
					this.optionscopy[i].value = '';
			}
		}
	}
	// ------------------------------------------
	this.set = function(pattern) {
		var loop=0, index=0, regexp, e;
	
		if (!this.targetObj) return false;
		if (!this.targetObj.options) return false;
	
		this.targetObj.options.length = 0;
		try {
			regexp = new RegExp(pattern, this.flags);
		} catch(e) {
			if (typeof this.hook == 'function')
				this.hook();
			return;
		}
		for (loop = 0; loop < this.optionscopy.length; loop ++) {
			var option = this.optionscopy[loop];
			// check if we have a match
			if ((this.match_text && regexp.test(option.text)) || (this.match_value && regexp.test(option.value))) {
				this.targetObj.options[index++] = new Option(option.text, option.value, false);
			}
		}
		// if empty then default value
		if (!this.targetObj.options.length)
			this.targetObj.options[0] = new Option(this.default_text, this.default_value, false);
		// if user specified a function hook
		if (typeof this.hook == 'function')
			this.hook();
	}
	// ------------------------------------------
	this.reset = function() {
		this.set('');
	}
	// ------------------------------------------
	this.set_ignore_case = function(value) {
		if (value)
			this.flags = 'i';
		else
			this.flags = '';
	}
	// ------------------------------------------
	this.set_default = function(text, value) {
		if (text)
			this.default_text = text;
		else
			this.default_text = '';
		if (value)
			this.default_value = value;
		else
			this.default_value = '';
	}
	// ------------------------------------------
	this.debug = function(msg) {
		if (this.show_debug)
			alert('FilterList: ' + msg);
	}
	// ------------------------------------------
	this.init();
}

