<?php
/* ==================================================== ##
##            COPYRIGHTS © ZAPms PHP TEAM               ##
## ==================================================== ##
## PRODUCT : CMS(CONTENT MANAGEMENT SYSTEM)             ##
## LICENSE : GNU 2(General Public License v.2)          ##
## TECHNOLOGIES : PHP & MySQL                           ##
## WWW : www.zapms.de | www.marchenko.de                ##
## E-MAIL : info@zapms.de, andrey@marchenko.de          ##
## ==================================================== */

//------------------------------------------------------------
class Dtree {
	var $array_dtree;
	var $entry_id;
	var $query_filter;
	var $query_order;
	var $query;
	var $db_prefix;
//------------------------------------------------------------
	function Dtree($db_prefix = '') {
		$this->array_dtree = array();
		$this->db_prefix = $db_prefix;
		$this->query_filter = 'WHERE 1';
		$this->query_order = ' ';
		$this->entry_id = 0;
	}
//------------------------------------------------------------
	function executeDtreeQuery() {
		$this->query = 'SELECT DISTINCT
		 '.$this->db_prefix.'dtree.id AS entry_id,
		 '.$this->db_prefix.'dtree.parent_id AS parent_id,
		 '.$this->db_prefix.'dtree.title AS entry_title,
		 '.$this->db_prefix.'dtree.prefix AS entry_prefix,
		 '.$this->db_prefix.'dtree.active AS entry_active,
		 '.$this->db_prefix.'dtree.path AS entry_path,
		 '.$this->db_prefix.'dtree.description AS entry_description,
		 '.$this->db_prefix.'type.open AS type_open,
		 '.$this->db_prefix.'type.close AS type_close,
		 '.$this->db_prefix.'type.title AS type_title,
		 '.$this->db_prefix.'dtree_roles.attr AS entry_attr
		 FROM (('.$this->db_prefix.'type
		 INNER JOIN ('.$this->db_prefix.'roles
		 INNER JOIN ('.$this->db_prefix.'dtree INNER JOIN '.$this->db_prefix.'dtree_roles
		  ON '.$this->db_prefix.'dtree.id='.$this->db_prefix.'dtree_roles.dtree_id) 
		  ON '.$this->db_prefix.'roles.id='.$this->db_prefix.'dtree_roles.role_id)
		  ON '.$this->db_prefix.'type.id='.$this->db_prefix.'dtree.type_id)
		 INNER JOIN '.$this->db_prefix.'users_roles ON '.$this->db_prefix.'roles.id='.$this->db_prefix.'users_roles.role_id)
		 INNER JOIN '.$this->db_prefix.'users ON '.$this->db_prefix.'users_roles.user_id='.$this->db_prefix.'users.id
		 '.$this->query_filter.$this->query_order;
		//print $this->query;
		$result = mysql_query($this->query) or 0;
		return ($result);
	}
//------------------------------------------------------------
	function makeEntryArray() {
		$this->query_order = ' ORDER BY '.$this->db_prefix.'dtree.priority';
		$result = $this->executeDtreeQuery();
		$count = 0;
		$tmp_array = array();
		if ($result) {
			if (mysql_num_rows($result)) {
				while ($row = mysql_fetch_assoc($result)) {
					$count ++;
					$row['entry_subfolder'] = $count-2;
					$tmp_array = array_pad($tmp_array, $count, $row);
				}
			}
			$this->array_dtree = $tmp_array;
			unset($tmp_array);
			//print_r($this->array_dtree);
			//print $count;
			mysql_free_result($result);
		}
	}
//------------------------------------------------------------
	function orderEntryArray() {
		$subfolder_count = 0;
		$count = count($this->array_dtree);
		for ($i = 1; $i < $count; $i ++) {
		//print $i.'<br>';
			if ($subfolder_count != $this->array_dtree[$i]['parent_id']) {
				//print 'i:'.$i.' count: '.$subfolder_count.'<br>';
				for ($j = 0; $j < $count; $j ++) {
					if ($this->array_dtree[$j]['entry_id'] == $this->array_dtree[$i]['parent_id']) {
						//print 'j:'.$j.' id: '.$this->array_dtree[$j]['entry_id'].' array_folder: '.$this->array_dtree[$j]['folder'].' subfolder_count: '.$this->array_dtree[$i]['sub_id'].'<br>';
						$this->array_dtree[$i]['entry_subfolder'] = $j;
						$subfolder_count = $this->array_dtree[$i]['parent_id'];
					}
				}
			} else {
				$this->array_dtree[$i]['entry_subfolder'] = $this->array_dtree[$i-1]['entry_subfolder'];
			}
		}
	}
//------------------------------------------------------------
	function getDtreeArray() {
		$this->makeEntryArray();
		return ($this->array_dtree);
	}
//------------------------------------------------------------
	function getPrefixes() {
		$this->query = 'SELECT '.$this->db_prefix.'dtree.prefix AS prefix FROM '.$this->db_prefix.'dtree';
		$result = mysql_query($this->query) or 0;
		$count = 0;
		$prefixes = array();
		if ($result) {
			if (mysql_num_rows($result)) {
				while ($row = mysql_fetch_assoc($result))  {
					$count ++;
					$prefixes = array_pad($prefixes, $count, $row['prefix']);
				}
			}
		}
		return ($prefixes);
	}
//------------------------------------------------------------
	function getDtreeJS($sid = '', $entry_id = 0) {
		$this->makeEntryArray();
		$this->orderEntryArray();
		$dtree_data = '<script type="text/javascript">dtree=new dTree(\'dtree\');';
		$dtree_count = count($this->array_dtree);
		for ($i = 0; $i < $dtree_count; $i ++) {
			$URL = 'javascript:goTree('.$this->array_dtree[$i]['entry_id'].');';
			$dtree_data .= 'dtree.add('.$i.','.$this->array_dtree[$i]['entry_subfolder'];
			$dtree_data .= ',\''.$this->array_dtree[$i]['entry_title'].'\',\''.$URL;
			$dtree_data .= '\',\''.$this->array_dtree[$i]['type_title'];
			$dtree_data .= '\',\'_self\',\''.$this->array_dtree[$i]['type_close'];
			$dtree_data .= '\',\''.$this->array_dtree[$i]['type_open'].'\');';
			if ($entry_id == $this->array_dtree[$i]['entry_id'])
				$str_active = 'dtree.openTo('.$i.',true);';
		}
		$dtree_data .= ' document.write(dtree);	'.$str_active.'</script>';
		return ($dtree_data);
	}
//------------------------------------------------------------
	function getEntryInfo($entry_id = 1) {
		$this->setFilterByEntryId($entry_id);
		$result = $this->executeDtreeQuery();
		$entry_info = array();
		if ($result) {
			if (mysql_num_rows($result)) {
				$entry_info = mysql_fetch_assoc($result);
				mysql_free_result($result);
			}
		}
		//print_r($entry_info);
		return ($entry_info);
	}
//------------------------------------------------------------
	function getDtreeIds() {
		$id_array = array();
		$this->query = 'SELECT '.$this->db_prefix.'dtree.id AS id FROM '.$this->db_prefix.'dtree';
		$result = mysql_query($this->query) or 0;
		$count = 0;
		if ($result) {
			if (mysql_num_rows($result)) {
				while ($row = mysql_fetch_assoc($result)) {
					$count ++;
					$id_array = array_pad($id_array, $count, $row['id']);
				}
			}
			//print $count;
			mysql_free_result($result);
		}
		return ($id_array);
	}
//------------------------------------------------------------
	function setFilterByUserId($user_id = 0) {
		$this->query_filter .= ' AND '.$this->db_prefix.'users.id='.$user_id;
	}
//------------------------------------------------------------
	function setFilterByParentId($parent_id = 0) {
		$this->query_filter .= ' AND '.$this->db_prefix.'dtree.parent_id='.$parent_id;
	}
//------------------------------------------------------------
	function setFilterByEntryId($entry_id = 0) {
		$this->query_filter .= ' AND '.$this->db_prefix.'dtree.id='.$entry_id;
	}
//------------------------------------------------------------
	function setFilterByEntriesId($entries) {
		if ($entries) {
			$this->query_filter .= ' AND (1=0 ';
			foreach ($entries as $k => $v) {
				$this->query_filter .= ' OR '.$this->db_prefix.'dtree.id='.$entries[$k];
			}
			$this->query_filter .= ' )';
		}
	}
//------------------------------------------------------------
// condition: -1 <, 0 =, 1 >
	function setFilterByAttr($attr_from = -1, $attr_to = -1, $condition = 0) {
		if ($attr_from > -1) $this->query_filter .= ' AND (';
		if ($attr_to < 0) $attr_to = $attr_from;
		$sign = (($condition > 0) ?
		 ('>') : 
		 (($condition < 0) ?
		  ('<') :
		  ('=')
		 )
		);
		for ($i = $attr_from; $i <= $attr_to; $i ++) {
			$this->query_filter .= $this->db_prefix.'dtree_roles.attr'.$sign.$i;
			if ($i < $attr_to) $this->query_filter .= ' OR ';
		}
		$this->query_filter .= ' )';
	}
//------------------------------------------------------------
	function setFilterByTypeId($type_id = 0) {
		$this->query_filter .= ' AND '.$this->db_prefix.'type.id='.$type_id;
	}
//------------------------------------------------------------
	function resetFilter() {
		$this->query_filter = 'WHERE 1';
	}
//------------------------------------------------------------
	function resetOrder() {
		$this->query_order = ' ';
	}
//------------------------------------------------------------
	function insertEntry($array_db) {
		$query_insert = 'INSERT INTO '.DB_PREFIX.'dtree (';
		$query_values = ' VALUES (';
		while( list($var, $param) = @each($array_db) ) {
			$query_insert .= $var.',';
			$query_values .= $param.',';
		}
		$this->query = substr($query_insert, 0, -1).')'.substr($query_values, 0, -1).')';
		//print $query;
		$result = mysql_query($this->query) or 0;
		return ($result);
	}
//------------------------------------------------------------
	function updateEntry($array_db) {
		$query_update = 'UPDATE '.DB_PREFIX.'dtree SET ';
		while( list($var, $param) = @each($array_db) ) {
			$query_update .= $var.'='.$param.',';
		}
		$this->query = substr($query_update, 0, -1).' WHERE 1 '.$this->query_filter;
		//print $this->query;
		if (!empty($this->query_filter))
			$result = mysql_query($this->query) or 0;
		else
			$result = 0;
		return ($result);
	}
//------------------------------------------------------------ 
}
?>
