<?php
/* ==================================================== ##
##             COPYRIGHTS © ZAPms PHP TEAM              ##
## ==================================================== ##
## PRODUCT : CMS(CONTENT MANAGEMENT SYSTEM)             ##
## LICENSE : GNU 2(General Public License v.2)          ##
## TECHNOLOGIES : PHP & MySQL                           ##
## WWW : www.zapms.de | www.marchenko.de                ##
## E-MAIL : info@zapms.de, andrey@marchenko.de          ##
## ==================================================== */

class Fm {
	var $files_array = array();
	var $path_current;
	var $path_init;
	var $path_full;
	var $path_array = array();
	var $filter;
	var $order;
//------------------------------------------------------------
	function Fm($path_init = '.') {
		$this->path_init = $path_init;
		$this->path_current = '';
		$this->filter = '';
		$this->order = 'byExt';
	}
//------------------------------------------------------------
	function setCurrentPath($path_current = '') {
		$this->path_current = $path_current;
		$this->path_full = $this->path_init.$this->path_current;
		$result = @file_exists($this->path_full);
		if (!$result) {
			$this->path_full = $this->path_init;
			$this->path_current = '';
		}
		$path_items = array();
		if ($this->path_current)
			$path_items = explode('/', substr($this->path_current, 0, -1));
		$sum = sizeof($path_items);
		for ($i = 0; $i < $sum; $i ++) {
			$path_tmp = '';
			for ($j = 0; $j <= $i; $j ++) {
				$path_tmp .= $path_items[$j].'/';
			}
			$this->path_array = array_pad($this->path_array, ($i + 1), array('name' => $path_items[$i], 'path' => $path_tmp));
		}
		//print $this->path_full;
		//print_r($path_items);
		//print_r($this->path_array);
		return ($result);
	}
//------------------------------------------------------------
	function getPathArray() {
		return ($this->path_array);
	}
//------------------------------------------------------------
	function getFilesArray($type_filter = '*', $ext_filter = '*') {
		$array_name = array();
		$array_type = array();
		$array_ext = array();
		$array_size = array();
		$array_mtime = array();
		$array_attr = array();
		$keys = array();

		if ($handle = @opendir($this->path_full)) {
			$count = 0;
			while (false !== ($file_name = readdir($handle))) {
				if ($file_name == "." || $file_name == "..")
					continue;
				$file_path = $this->path_full.$file_name;
				//print $file_path;
				$type = filetype($file_path);
				$is_found = false;
				if ($type == 'file' && ($type_filter == '*' || $type_filter == 'file')) {
					$name_ext = $this->getNameExt($file_name);
					$name = $name_ext['name'];
					$ext = $name_ext['ext'];
					if (!($ext_filter == '*' || ($ext_filter != '*' && $ext_filter == $ext)))
						continue;
					$size = filesize($file_path);
					if ($size > 1000000)
						$size = number_format(($size/1000000), 2, ',', ' ').' MB';
					else if ($size > 1000)
						$size = number_format(($size/1000), 2, ',', ' ').' KB';
					else 
						$size = number_format($size, 2, ',', ' ').' B';
					$is_found = true;
				}
				if ($type == 'dir' && ($type_filter == '*' || $type_filter == 'dir')) {
					$name = $file_name;
					$ext = '';
					if (!($ext_filter == '*' || ($ext_filter != '*' && strpos($name, $ext_filter) !== false)))
						continue;
					$size = '&lt;DIR&gt;';
					$is_found = true;
				}
				if ($is_found) {
					$count ++;
					$mtime = filemtime($file_path);
					$attr = substr(sprintf('%o', fileperms($file_path)), -4);
					$array_name = array_pad($array_name, $count, $name);
					$array_ext = array_pad($array_ext, $count, $ext);
					$array_type = array_pad($array_type, $count, $type);
					$array_size = array_pad($array_size, $count, $size);
					$array_mtime = array_pad($array_mtime, $count, $mtime);
					$array_attr = array_pad($array_attr, $count, $attr);
				}
			}
			/*
			print_r($array_name);
			print_r($array_ext);
			print_r($array_type);
			print_r($array_size);
			print_r($array_mtime);
			print_r($array_attr);
			*/
			closedir($handle);
			$tmp_array = array();
			if ($count) {
				// sort by file type
				switch ($this->order) {
					case 'byType':
						array_multisort($array_type, $array_name, $array_ext, $array_size, $array_mtime, $array_attr, SORT_STRING);
					break;
					case 'byTypeDesc':
						array_multisort($array_type, $array_name, $array_ext, $array_size, $array_mtime, $array_attr, SORT_STRING, SORT_DESC);
					break;
					case 'byName':
						array_multisort($array_name, $array_type, $array_ext, $array_size, $array_mtime, $array_attr, SORT_STRING);
					break;
					case 'byNameDesc':
						array_multisort($array_name, $array_type, $array_ext, $array_size, $array_mtime, $array_attr, SORT_STRING, SORT_DESC);
					break;
					case 'byExt':
						array_multisort($array_ext, $array_name, $array_type, $array_size, $array_mtime, $array_attr, SORT_STRING);
					break;
					case 'byExtDesc':
						array_multisort($array_ext, $array_name, $array_type, $array_size, $array_mtime, $array_attr, SORT_STRING, SORT_DESC);
					break;
				}
				$sum = count($array_name); 
				for ($i = 0; $i < $sum; $i ++) {
					$tmp_array = array_pad($tmp_array, ($i + 1), array(
							'name' => $array_name[$i],
							'ext' => $array_ext[$i],
							'type' => $array_type[$i],
							'size' => $array_size[$i],
							'mtime' => $array_mtime[$i],
							'attr' => $array_attr[$i] )
							);
				}
				//print_r($this->files_array);
			}
			$this->files_array = $tmp_array;
		}
		return ($this->files_array);
	}
//------------------------------------------------------------
	function getListArray($type_filter = '*', $ext_filter = '*') {
		if ($handle = @opendir($this->path_full)) {
			$count = 0;
			$tmp_array = array();
			while (false !== ($file_name = readdir($handle))) {
				if ($file_name == "." || $file_name == "..")
					continue;
				$file_path = $this->path_full.$file_name;
				//print $file_path;
				$type = filetype($file_path);
				$is_found = false;
				if ($type == 'file' && ($type_filter == '*' || $type_filter == 'file')) {
					$name_ext = $this->getNameExt($file_name);
					$name = $name_ext['name'];
					$ext = $name_ext['ext'];
					if (!($ext_filter == '*' || ($ext_filter != '*' && $ext_filter == $ext)))
						continue;
					$is_found = true;
				}
				if ($type == 'dir' && ($type_filter == '*' || $type_filter == 'dir')) {
					$name = $file_name;
					$ext = '';
					if (!($ext_filter == '*' || ($ext_filter != '*' && strpos($name, $ext_filter) !== false)))
						continue;
					$is_found = true;
				}
				if ($is_found) {
					$count ++;
					$tmp_array = array_pad($tmp_array, $count, $file_name);
				}
			}
			//print_r($files_array);
			closedir($handle);
			array_multisort($tmp_array, SORT_STRING);
			$this->files_array = $tmp_array;
		}
		
		return ($this->files_array);
	}
//------------------------------------------------------------
	function getNameExt($file_name) {
		$dot_pos = strrpos($file_name, '.');
		$name = ($dot_pos) ? (substr($file_name, 0, $dot_pos)) : ($file_name);
		$ext = ($dot_pos) ? (substr($file_name, $dot_pos + 1)) : ('');
        return (array('name' => $name, 'ext' => $ext));
	}
//------------------------------------------------------------
	function makeDir($dir_name = '', $attr = '0755') {
		$file_path = $this->path_full.$dir_name;
        $origmask = @umask(0);
		$result = @mkdir($file_path, 0755);
		if ($result)
			$result = $this->setPermissions($dir_name, $attr);
        return ($result);
	}
//------------------------------------------------------------
	function uploadFile($tmp_name, $file_name, $attr) {
		$dest_name = $this->path_full.$file_name;
		//print $file;
		if ((file_exists($dest_name) && !is_file($dest_name)) || (!file_exists($dest_name))) {
			if (is_uploaded_file($tmp_name)) {
				move_uploaded_file($tmp_name, $dest_name);
				return ($this->setPermissions($file_name, $attr));
			}
		}
		return false;
	}
//------------------------------------------------------------
	function getContent($file_name, $attr) {
		$file_path = $this->path_full.$file_name;
		if (file_exists($file_path)) {
			$result = $this->setPermissions($file_name, '0644');
			if ($result) {
				$content = '';
				$fd = @fopen($file_path, 'r');
				while (!feof($fd))
					$content .= fgets($fd, 8192);
				fclose($fd);
				$result = $this->setPermissions($file_name, $attr);
				if ($result)
					return $content;
			}
		}
		return (0);
	}
//------------------------------------------------------------
	function saveContent($file_name, $content, $attr) {
		$file_path = $this->path_full.$file_name;
		$result = (file_exists($file_path)) ? ($this->setPermissions($file_name, '0755')) : (true);
		if ($result) {
			if ($fd = fopen($file_path, 'w')) {
				//print $file_path;
				if (fwrite($fd, $content) === FALSE)
					return false;
				fclose($fd);
				$result = $this->setPermissions($file_name, $attr);
				if ($result)
					return true;
			}
		}
		return false;
	}
//------------------------------------------------------------
	function downloadFile($name, $ext, $attr) {
		$file_name = $name.(($ext) ? ('.'.$ext) : (''));
		$type = $this->getTypeByExt($ext);
		$file_path = $this->path_full.$file_name;
		if (file_exists($file_path)) {
			$result = $this->setPermissions($file_name, '0644');
			if ($result) {
				$fd = @fopen($file_path, 'r');
				header('Content-type: '.$type);
				header('Content-Disposition: attachment; filename="'.$file_name.'"');
				while (!feof($fd))
					echo fgets($fd, 8192);
				fclose($fd);
				$result = $this->setPermissions($file_name, $attr);
				return true;
			} else
				return false;
		} else
			return false;
	}
//------------------------------------------------------------
	function deleteDir($file_name) {
		$file_path = $this->path_full.$file_name;
		if (file_exists($file_path)) {
			$result = $this->setPermissions($file_name, '0755');
			if ($result)
				$result = @rmdir($file_path);
			return ($result);
		} else 
			return false; 
	}
//------------------------------------------------------------
	function deleteFile($file_name) {
		$file_path = $this->path_full.$file_name;
		if (file_exists($file_path)) {
			$result = $this->setPermissions($file_name, '0755');
			if ($result)
				$result = @unlink($file_path);
			return ($result);
		} else 
			return false; 
	}
//------------------------------------------------------------
	function renameDirFile($old_name, $new_name) {
		$old_path = $this->path_full.$old_name;
		$new_path = $this->path_full.$new_name;
		if (!file_exists($new_path) || $old_name == $new_name)
			return (@rename($old_path, $new_path));
		else
			return false;
	}
//------------------------------------------------------------
	function copyFile($old_name, $new_name) {
		$old_path = $this->path_full.$old_name;
		$new_path = $this->path_full.$new_name;
		//print $old_path.' '.$new_path;
		if (!file_exists($new_path))
			return (@copy($old_path, $new_path));
		else
			return false;
	}
//------------------------------------------------------------
	function getAttributes($file_name) {
		$file_path = $this->path_full.$file_name;
		//print $file_path;
		return (@substr(sprintf('%o', fileperms($file_path)), -4));
	}

//------------------------------------------------------------
	function setPermissions ($name, $attr) {
		$file_path = $this->path_full.$name;
		if (file_exists($file_path))  {
			$attr_default = (is_dir($file_path)) ? ('0755') : ('0644');
			if (!$attr)
				$attr = $attr_default;
			$origmask = @umask(0);
			@chmod($file_path, octdec($attr));
			@umask($origmask);
		}
		return (($origmask != $attr) ? (true) : (false));
	}
//------------------------------------------------------------
	function getTypeByExt($ext) {
		$types_array = array(
			'bin' => 'application/octet-stream',
			'exe' => 'application/octet-stream',
			'class' => 'application/octet-stream',
			'dll' => 'application/octet-stream',
			'doc' => 'application/msword',
			'pdf' => 'application/pdf',
			'xls' => 'application/vnd.ms-excel',
			'ppt' => 'application/vnd.ms-powerpoint',
			'js' => 'application/x-javascript',
			'swf' => 'application/x-shockwave-flash',
			'xslt' => 'application/xslt+xml',
			'xml' => 'application/xml',
			'xsl' => 'application/xsl',
			'zip' => 'application/zip',
			'rar' => 'application/rar',
			'au' => 'audio/basic',
			'mp3' => 'audio/mpeg',
			'm3u' => 'audio/x-mpegurl',
			'ram' => 'audio/x-pn-realaudio',
			'rm' => 'application/vnd.rn-realmedia',
			'm3u' => 'audio/x-mpegurl',
			'wav' => 'audio/x-wav',
			'avi' => 'video/x-msvideo',
			'bmp' => 'image/bmp',
			'gif' => 'image/gif',
			'jpeg' => 'image/jpeg',
			'jpg' => 'image/jpeg',
			'jpe' => 'image/jpeg',
			'png' => 'image/png',
			'tiff' => 'image/tiff',
			'tif' => 'image/tiff',
			'css' => 'text/css',
			'html' => 'text/html',
			'htm' => 'text/html',
			'php' => 'text/html',
			'php4' => 'text/html',
			'phtml' => 'text/html',
			'tpl' => 'text/html',
			'txt' => 'text/plain',
			'log' => 'text/plain'
			);
		$type = $types_array[$ext];
		if (empty($type)) $type = 'application/octet-stream';
		return ($type);
	}
//------------------------------------------------------------
	function getExtByType($type) {
		$ext_array = array(
			'application/octet-stream' => 'exe',
			'application/msword' => 'doc',
			'application/pdf' => 'pdf',
			'application/vnd.ms-excel' => 'xls',
			'application/vnd.ms-powerpoint' => 'ppt',
			'application/x-javascript' => 'js',
			'application/x-shockwave-flash' => 'swf',
			'application/xslt+xml' => 'xslt',
			'application/xml' => 'xml',
			'application/xsl' => 'xsl',
			'application/zip' => 'zip',
			'application/rar' => 'rar',
			'audio/basic' => 'au',
			'audio/mpeg' => 'mp3',
			'audio/x-mpegurl' => 'm3u',
			'audio/x-pn-realaudio' => 'ram',
			'application/vnd.rn-realmedia' => 'rm',
			'audio/x-mpegurl' => 'm3u',
			'audio/x-wav' => 'wav',
			'video/x-msvideo' => 'avi',
			'image/bmp' => 'bmp',
			'image/gif' => 'gif',
			'image/jpeg' => 'jpg',
			'image/png' => 'png',
			'image/tiff' => 'tif',
			'text/css' => 'css',
			'text/html' => 'html',
			'text/plain' => 'txt'
			);
		$ext = $ext_array[$type];
		if (empty($ext)) $ext = 'exe';
		return ($ext);
	}


}
?>
