<?php
/* ==================================================== ##
##             COPYRIGHTS © ZAPms PHP TEAM              ##
## ==================================================== ##
## NEWS : CMS(CONTENT MANAGEMENT SYSTEM)             ##
## LICENSE : GNU 2(General Public License v.2)          ##
## TECHNOLOGIES : PHP & MySQL                           ##
## WWW : www.zapms.de | www.marchenko.de                ##
## E-MAIL : info@zapms.de, andrey@marchenko.de          ##
## ==================================================== */

include_once 'warnings.php';

$details_id = 0;

if (!empty($_POST['details_id']) || !empty($_GET['details_id']))
$details_id = (!empty($_POST['details_id'])) ? $_POST['details_id'] : $_GET['details_id'];
if (!is_numeric($details_id)) $details_id = 0;

$news_details_var = array(
	'id' => '', 'ui_lang' => '', 'user' => '', 'category_id' => '', 'priority' => '', 'title' => '', 'description' => '', 'full_description' => '', 'image' => '',
	'status' => '', 'starttime' => '', 'createtime' => '', 'modifytime' => '');

$search_var = array(
	'title' => '', 'full_description' => '', 'user' => '', 'category_id' => '', 'status' => '', 'sort' => '', 'page' => '');

$sort_list = array(
	'0' => array('id' => 'dw_title', 'title' => 'Title up'),
	'1' => array('id' => 'up_title', 'title' => 'Title down'),
	'2' => array('id' => 'dw_user', 'title' => 'User up'),
	'3' => array('id' => 'up_user', 'title' => 'User down'),
	'4' => array('id' => 'dw_priority', 'title' => 'Priority up'),
	'5' => array('id' => 'up_priority', 'title' => 'Priority down'),
	'6' => array('id' => 'dw_category_id', 'title' => 'Category up'),
	'7' => array('id' => 'up_category_id', 'title' => 'Category down')
	);
assignArray($sort_list, 'sort_list');

$success = 0;
$news_db_var = array();

// GET CONFIG DATA
$nws_list = (!empty($nws_list)) ? ($nws_list) : (10);

// nws_status - status_list
$tmp = explode(';', $nws_status);
for ($i=0; $i<sizeof($tmp); $i++) {
	$tmp_var = explode('=', $tmp[$i]);
	$nws_status_array[$i] = array('id' => trim($tmp_var[0]), 'title' => trim($tmp_var[1]));
}
assignArray($nws_status_array, 'status_list');

// INCLUDE NEWS
include_once MODUL_DIR.'news/News.php';
$news_obj = new News(DB_PREFIX);

// include MENU
include_once MODUL_DIR.'menu/Menu.php';
$menu_obj = new Menu(DB_PREFIX);
$menu_obj->resetFilter();
// set filter
$menu_obj->resetFilter();
$categories_list = $menu_obj->getMenuTree();
assignArray($categories_list, 'categories_list');

// clean-up deleted menu
$news_obj->cleanNews();

// clean-up status
$news_obj->setFilterValid();
$news_obj->updateNews(array('status'=>'\'4\''));
$news_obj->resetFilter();

switch ($action) {
	case 'delete':
		if ($details_id) {
			if ($news_obj->deleteNews($details_id)) {
				$warning_msg .= $LOCAL_WARN_MSG['news_deleted'];
			} else
				$error_msg .= $LOCAL_WARN_MSG['news_notdeleted'];
		}
		$action = 'list';
//------------------------------------------------------------
	case 'list':
		if ($subaction == 'search') {
			// save search options into db
			$search_var = trimRequestValues($search_var);
			$search_s = '\''.implodeRequestValues($search_var).'\'';
			$profils_obj->setFilterByParam('nws_sort');
			$profils_obj->updateProfils(array('value' => $search_s));
		} else {
			$search_s = $cfg_profil['nws_sort'];
			$search_var = explodeRequestValues($search_s);
		}
		// assign search options
		assignArray($search_var, 'details_search');
		// set search options
		$news_obj->resetFilter();
		$news_obj->setSearch($search_var);
		
		// INCLUDE PAGER
		include_once MODUL_DIR.'core/Pager.php';
		$news_total = $news_obj->getCountNews();
		if (!$news_total)
			$warning_msg .= $SYS_WARN_MSG[$ui_lang]['no_results'];

		$pager_obj = new Pager($news_total, $nws_list);
		if (isset($search_var['page'])) $pager_obj->page = $search_var['page'];
		// assign pager
		assignArray($pager_obj->getPagerInfo(), 'details_pager');
		$pager_limit = $pager_obj->getPagerLimit();
		$news_obj->setLimit($pager_limit['start'], $pager_limit['count']);
		
		assignArray($news_obj->getNewsArray(), 'news_list');
		$view_mode = 1;
	break;
//------------------------------------------------------------
	case 'details':
		// NEWS-DETAILS
		if ($subaction == 'news') {
			if ($details_id) {
				$details = $news_obj->getNewsInfo($details_id);
				// assign variables
				assignArray($details, 'details');
			} else {
				$search_s = $cfg_profil['nws_sort'];
				$search_var = explodeRequestValues($search_s);
				if(isset($search_var['category_id'])) $details['category_id'] = $search_var['category_id'];
			}
			assignArray($details, 'details');
			$view_mode = 2;
		}
	break;
//------------------------------------------------------------
	case 'create':
		if ($subaction == 'news' || $subaction == 'save_close') {
			$validate_array = validateNews($action);
			// ADD NEW NEWS
			if ($validate_array['valid']) {
				// verify existing product
				$news_obj->setFilterByTitle($news_details_var['title']);
				$news_obj->setFilterByUser($news_details_var['user']);
				$news_array = $news_obj->getNewsArray();
				if ($news_array)
					$error_msg .= $LOCAL_WARN_MSG['news_notunique'];
				else {
					// add product info
					$details_id = $news_obj->insertNews($news_db_var);
					if ($details_id) {
						$news_details_var = $news_obj->getNewsInfo($details_id);
						$warning_msg .= $LOCAL_WARN_MSG['news_created'];
						$success = ($subaction == 'save_close')?(2):(1);
					} else
						$error_msg .= $LOCAL_WARN_MSG['news_notcreated'];
				}
			} else
				$error_msg .= $validate_array['error_msg'];
			// ASSIGN
			//print_r($news_details_var);
			assignArray($news_details_var, 'details');
		}
		$view_mode = 2;
	break;
//------------------------------------------------------------
	case 'edit':
		// EDIT NEWS
		if ($subaction == 'news' || $subaction == 'save_close') {
			$validate_array = validateNews($action);
   			if ($validate_array['valid']) {
				// edit product info
				$news_obj->setFilterById($details_id);
				if ($news_obj->updateNews($news_db_var)) {
					$news_details_var = $news_obj->getNewsInfo($details_id);
					$warning_msg .= $LOCAL_WARN_MSG['news_updated'];
					$success = ($subaction == 'save_close')?(2):(1);
				} else
					$error_msg .= $LOCAL_WARN_MSG['news_notupdated'];
			} else
				$error_msg .= $validate_array['error_msg'];
			// ASSIGN
			assignArray($news_details_var, 'details');
			$view_mode = 2;
		}
		// ASSIGN
		assignArray($news_details_var, 'details');

		$tpl = 'news_details.tpl';
	break;
//------------------------------------------------------------
	default:
		$error_msg = $SYS_WARN_MSG[$ui_lang]['action_wrong'];
		$tpl = 'news_list.tpl';
		$action = 'list';
		$view_mode = 1;
}
//------------------------------------------------------------
// VIEW
	if ($view_mode > 1) {
		$smarty->assign('error_msg', $error_msg);
		$smarty->assign('warning_msg', $warning_msg);
		$smarty->assign('success', $success);
		$smarty->assign('SID', $SID);
		$smarty->assign('zap_theme', $zap_theme);
		$smarty->display((($tpl) ? ($tpl) : ('news_details.tpl')));
	} else {
		$right_frame = ($tpl) ? ($tpl) : ('news_list.tpl');
	}
//------------------------------------------------------------
// validation
function validateNews($action = 'create') {
	global $ui_lang, $news_details_var, $news_db_var, $SYS_WARN_MSG, $LOCAL_WARN_MSG;
	$valid = 0;
	$news_details_var = trimRequestValues($news_details_var, 0);
	$day_short_en = array('Su', 'Mo', 'Tu', 'We', 'Th', 'Fr', 'Sa');
	$day_short_de = array('So', 'Mo', 'Di', 'Mi', 'Do', 'Fr', 'Sa');
	$day_short_ru = array('Вс', 'Пн', 'Вт', 'Ср', 'Чт', 'Пт', 'Сб');
	//print_r($news_details_var);
	// verify
	if (!$news_details_var['title'] || !$news_details_var['category_id'] || !$news_details_var['priority'] || !$news_details_var['description']) {
		$error_msg .= $SYS_WARN_MSG[$ui_lang]['not_all_mandatory'];
	} else {
		if ($action == 'edit' && !$news_details_var['id'])
			$error_msg .= $LOCAL_WARN_MSG['news_noid'];
		else {
			// PREPARING TO UPDATE
			if ($action == 'create')
				$news_details_var['createtime'] = time();
			$news_details_var['modifytime'] = time();
			
			$news_db_var['createtime'] = $news_details_var['createtime'];
			$news_db_var['modifytime'] = $news_details_var['modifytime']; 

			$news_db_var['title'] = '\''.html_replace($news_details_var['title']).'\''; // replace
			$news_db_var['user'] = '\''.$news_details_var['user'].'\'';
			if ($news_details_var['description'])
				$news_db_var['description'] = '\''.html_replace($news_details_var['description']).'\''; // replace
			if ($news_details_var['full_description'])
				$news_db_var['full_description'] = '\''.$news_details_var['full_description'].'\'';
			$news_db_var['image'] = '\''.$news_details_var['image'].'\'';
			if (!$news_details_var['category_id'])
				$news_details_var['category_id'] = 0;
			$news_db_var['category_id'] = $news_details_var['category_id'];
			$news_db_var['priority'] = $news_details_var['priority'];
			if (!$news_details_var['status'])
				$news_details_var['status'] = 0;
			$news_db_var['status'] = '\''.$news_details_var['status'].'\'';
			if (!$news_details_var['ui_lang'])
				$news_details_var['ui_lang'] = 'en';
			$news_db_var['ui_lang'] = '\''.$news_details_var['ui_lang'].'\'';

			list($tmp_day, $tmp_date, $tmp_time) = explode(' ', $news_details_var['starttime']);
			$day = 0;
			switch($ui_lang) {
				case 'de':
					$array_day_short = $day_short_de;
				break;
				case 'ru':
					$array_day_short = $day_short_ru;
				break;
				default:
					$array_day_short = $day_short_en;
			}
			for ($i = 0; $i < sizeof($array_day_short); $i ++) {
				if ($array_day_short[$i] == $tmp_day) $day = $i;
			}
			$hour = substr($tmp_time,0,2);
			$min = substr($tmp_time,3,2);
			$sec = 0;
			$month = substr($tmp_date,3,2);
			$day = substr($tmp_date,0,2);
			$year = substr($tmp_date,6,4);
			if ($hour && $month && $day && $year) {
				$start_date = mktime($hour, $min, $sec, $month, $day, $year);
				$news_db_var['starttime'] = '\''.$start_date.'\'';
				$news_details_var['start_date'] = date("d.m.Y", $start_date);
				$news_details_var['start_day'] = $array_day_short[date("w", $start_date)];
				$news_details_var['start_time'] = date("H.i", $start_date);
			}
			
			if (!$error_msg)
				$valid = 1;
		}
	}
	return (array('valid' => $valid, 'warning_msg' => $warning_msg, 'error_msg' => $error_msg));
}
//------------------------------------------------------------

?>
