<?php
/* ==================================================== ##
##             COPYRIGHTS © ZAPms PHP TEAM              ##
## ==================================================== ##
## PRODUCT : CMS(CONTENT MANAGEMENT SYSTEM)             ##
## LICENSE : GNU 2(General Public License v.2)          ##
## TECHNOLOGIES : PHP & MySQL                           ##
## WWW : www.zapms.de | www.marchenko.de                ##
## E-MAIL : info@zapms.de, andrey@marchenko.de          ##
## ==================================================== */

include_once 'warnings.php';

$details_id = 0;

if (!empty($_POST['details_id']) || !empty($_GET['details_id']))
$details_id = (!empty($_POST['details_id'])) ? $_POST['details_id'] : $_GET['details_id'];
if (!is_numeric($details_id)) $details_id = 0;

$details_var = array(
	'dir' => '', 'name' => '', 'attr' => '', 'usr_pwd' => '', 'setings');

$htaccess_tpl = "RewriteEngine Off\n
#php_value upload_max_filesize 10M\n
#php_value post_max_size 10M\n
#php_value max_execution_time 200\n
#php_value max_input_time 200\n
#php_value memory_limit 64M\n\n
#AuthName \"Private Zone\"\n
#AuthType Basic\n
#AuthUserFile ".$site_dir.$upl_dir.".htpasswd\n
#require valid-user
# compress text, html, javascript, css, xml:\n
AddOutputFilterByType DEFLATE text/plain\n
AddOutputFilterByType DEFLATE text/html\n
AddOutputFilterByType DEFLATE text/xml\n
AddOutputFilterByType DEFLATE text/css\n
AddOutputFilterByType DEFLATE application/xml\n
AddOutputFilterByType DEFLATE application/xhtml+xml\n
AddOutputFilterByType DEFLATE application/rss+xml\n
AddOutputFilterByType DEFLATE application/javascript\n
AddOutputFilterByType DEFLATE application/x-javascript";

$success = 0;

// INCLUDE FILE MANAGER
include_once MODUL_DIR.'fm/Fm.php';
$fm_obj = new Fm($site_dir);
if (!$fm_obj->setCurrentPath($upl_dir))
	$error_msg .= 'Wrong directory. ';

switch ($action) {
	case 'list':
		$cfg_local_array = $cfg_obj->getConfigArray($entry_id);
		assignArray($cfg_local_array, 'config_list');
		
		$view_mode = 1;
	break;
//------------------------------------------------------------
	case 'details':
		if ($subaction == 'htaccess') {
			if ($upl_users) {
				$details_var['dir'] = $upl_dir;
				$details_var['name'] = '.htaccess';
				$details_var['attr'] = '0644';
				$details_var['usr_pwd'] = $fm_obj->getContent($details_var['name'],$details_var['attr']);
				if (!$details_var['usr_pwd'])
					$details_var['usr_pwd'] = $htaccess_tpl;
			}
		}
		if ($subaction == 'htpasswd') {
			if ($upl_users) {
				$details_var['dir'] = $upl_dir;
				$details_var['name'] = '.htpasswd';
				$details_var['attr'] = '0644';
				$details_var['usr_pwd'] = str_replace("; ", "\n", $upl_users);
			}
		}
		// ASSIGN
		assignArray($details_var, 'details');
		$view_mode = 2;
	break;
//------------------------------------------------------------
	case 'edit':
		$details_var = trimRequestValues($details_var, 0);
		
		if ($details_var['name'] == '.htaccess') {
			if ($details_var['usr_pwd']) {
				// Save content
				if ($fm_obj->saveContent($details_var['name'], $details_var['usr_pwd'], $details_var['attr'])) {
					$warning_msg .= $LOCAL_WARN_MSG['doc_updated'];
					$success = 1;
				} else
					$error_msg .= $LOCAL_WARN_MSG['doc_notupdated'];
			} else
				$error_msg .= $LOCAL_WARN_MSG['doc_wrong'];
		}
		if ($details_var['name'] == '.htpasswd') {
			if ($details_var['usr_pwd']) {
				$tmp = explode("\n", $details_var['usr_pwd']);
				$content = '';
				for ($i=0; $i<sizeof($tmp); $i++) {
					$tmp_usr_pwd = explode(':', $tmp[$i]);
					$tmp_usr = trim($tmp_usr_pwd[0]);
					$tmp_pwd = trim($tmp_usr_pwd[1]);
					if ($tmp_usr && $tmp_pwd) {
						//$user_pass .= $tmp_usr.":".crypt($tmp_pwd,'_r9.asm')."\n"; // can be md5
						$user_pass .= $tmp_usr.":".crypt($tmp_pwd, CRYPT_STD_DES)."\n";
						$user_pass_cfg .= $tmp_usr.":".$tmp_pwd."; ";
					}
				}
				if ($user_pass) {
					$user_pass = substr($user_pass,0,-1);
					$user_pass_cfg = substr($user_pass_cfg,0,-2);
					// Save passwords
					if ($fm_obj->saveContent($details_var['name'], $user_pass, $details_var['attr'])) {
						// Save configuration
						$cfg_obj->resetFilter();
						$cfg_obj->setFilterByParam('upl_users');
						$cfg_obj->updateConfig(array('value'=>'\''.$user_pass_cfg.'\''));
	
						$warning_msg .= $LOCAL_WARN_MSG['doc_updated'];
						$success = 1;
					} else
						$error_msg .= $LOCAL_WARN_MSG['doc_notupdated'];
				} else
					$error_msg .= $LOCAL_WARN_MSG['doc_wrong'];
			} else
				$error_msg .= $LOCAL_WARN_MSG['doc_wrong'];
		}
		assignArray($details_var, 'details');
		$view_mode = 2;
	break;
//------------------------------------------------------------
	default:
		$error_msg = $SYS_WARN_MSG[$ui_lang]['action_wrong'];
		$tpl = 'core_error.tpl';
		$action = 'list';
		$view_mode = 1;
}
//------------------------------------------------------------
// VIEW
	if ($view_mode > 1) {
		$smarty->assign('error_msg', $error_msg);
		$smarty->assign('warning_msg', $warning_msg);
		$smarty->assign('success', $success);
		$smarty->assign('SID', $SID);
		$smarty->assign('zap_theme', $zap_theme);
		$smarty->assign('site_url', $site_url);
		$smarty->display((($tpl) ? ($tpl) : ('htpasswd_details.tpl')));
	} else
		$right_frame = ($tpl) ? ($tpl) : ('upload_list.tpl');

?>
