<?php
/* ==================================================== ##
##             COPYRIGHTS © ZAPms PHP TEAM              ##
## ==================================================== ##
## PRODUCT : CMS(CONTENT MANAGEMENT SYSTEM)             ##
## LICENSE : GNU 2(General Public License v.2)          ##
## TECHNOLOGIES : PHP & MySQL                           ##
## WWW : www.zapms.de | www.marchenko.de                ##
## E-MAIL : info@zapms.de, andrey@marchenko.de          ##
## ==================================================== */

include_once 'warnings.php';

$details_id = 0;

if (!empty($_POST['details_id']) || !empty($_GET['details_id']))
$details_id = (!empty($_POST['details_id'])) ? $_POST['details_id'] : $_GET['details_id'];
if (!is_numeric($details_id)) $details_id = 0;

$details_var = array(
	'id' => '', 'name' => '', 'surname' => '', 'email' => '', 'nick' => '', 'password' => '', 'password_confirm' => '',
	'role_id' => '', 'role' => '', 'active' => '', 'addition' => '', 'lastvisit' => '', 'local' => '', 'city' => '');

$local_array = array('GMT-12', 'GMT-11', 'GMT-10', 'GMT-09', 'GMT-08', 'GMT-07', 'GMT-06', 'GMT-05', 'GMT-04',
	'GMT-03', 'GMT-02', 'GMT-01', 'GMT', 'GMT+01', 'GMT+02', 'GMT+03', 'GMT+04', 'GMT+05', 'GMT+06', 'GMT+07',
	'GMT+08','GMT+09', 'GMT+10', 'GMT+11', 'GMT+12');

$success = 0;
$user_db_var = array();

$users_obj->resetFilter();

// include LOCAL LIST
assignArray($local_array, 'local_list');

// include ROLES LIST
include_once MODUL_DIR.'roles/Roles.php';
$roles_obj = new Roles(DB_PREFIX);
assignArray($roles_obj->getRolesArray(), 'roles_list');

switch ($action) {
	case 'delete':
		if ($details_id && $user_info['id'] != $details_id) {
			if ($users_obj->deleteUsers($details_id)) {
				$warning_msg .= $LOCAL_WARN_MSG['user_deleted'];
				// delete role
				if (!$roles_obj->deleteUsersRoles($details_id))
					$error_msg .= $LOCAL_WARN_MSG['user_notdeleted'];
				// delete profils
				if (!$profils_obj->deleteProfils($details_id))
					$error_msg .= $LOCAL_WARN_MSG['profil_notdeleted'];
			} else
				$error_msg .= $LOCAL_WARN_MSG['user_notdeleted'];
		}
		$action = 'list';
//------------------------------------------------------------
	case 'list':
		$users_obj->resetFilter();
		assignArray($users_obj->getUsersArray(), 'users_list');
		$view_mode = 1;
	break;
//------------------------------------------------------------
	case 'details':
		if ($details_id) {
			$details = $users_obj->getUserInfo($details_id);
			// assign variables
			assignArray($details, 'details');
			//print_r($details);
		}
		$view_mode = 2;
	break;
//------------------------------------------------------------
	case 'create':
		$validate_array = validateUser($action);
		// ADD NEW USER
		if ($validate_array['valid']) {
			// add user info
			$last_visit = time();
			$user_db_var['lastvisit'] = '\''.$last_visit.'\'';
			$details_id = $users_obj->insertUsers($user_db_var);
			if ($details_id) {
				// add role info
				if (!$roles_obj->insertUsersRoles($details_id, $details_var['role_id']))
					$error_msg .= $LOCAL_WARN_MSG['role_notcreated'];
				$details_var['id'] = $details_id;
				// add profil info
				// get modules prefixes
				$MODULES_PREFIX_ARRAY = $dtree_obj->getPrefixes();
				if (!$profils_obj->insertParamProfils($details_id, $MODULES_PREFIX_ARRAY))
					$error_msg .= $LOCAL_WARN_MSG['profil_notcreated'];
				unset($MODULES_PREFIX_ARRAY);
				// send email
				if (!$error_msg) {
					// include MAILER
					include_once MODUL_DIR.'core/Mailer.php';
					$mailer_obj = new Mailer($details_var['email'], $sys_email, $sys_email, '', '', 'ZAPms User', $SYS_WARN_MSG[$ui_lang]['contact_msg'].'<hr />', $email_style);
					$mailer_obj->sendSimpleEmail(array('user'=>$details_var['nick'], 'pass'=>$details_var['password'], 'role'=>$details_var['role']), array('user'=>'Benutzer', 'pass'=>'Passwort', 'role'=>'Role'));
				}
				$warning_msg .= $LOCAL_WARN_MSG['user_created'];
				$success = 1;
			} else
				$error_msg .= $LOCAL_WARN_MSG['user_notcreated'];
		} else
			$error_msg .= $validate_array['error_msg'];
		// ASSIGN
		assignArray($details_var, 'details');
		$view_mode = 2;
	break;
//------------------------------------------------------------	
	case 'edit':
		if ($subaction == 'user' || $subaction == 'save_close_user') {
			$validate_array = validateUser($action);
			// MODIFY
			if ($validate_array['valid']) {
				// modify user info
				$users_obj->setFilterById($details_id);
				if ($users_obj->updateUsers($user_db_var)) {
					// modify role info
					if (!$roles_obj->updateUsersRoles($details_id, $details_var['role_id']))
						$error_msg .=  $LOCAL_WARN_MSG['role_notupdated'];
					$details_var = $users_obj->getUserInfo($details_id);
					$warning_msg .= $LOCAL_WARN_MSG['user_updated'];
					if ($subaction == 'save_close_user')
						$success = 2;
					else
						$success = 1;
				} else
					$error_msg .= $LOCAL_WARN_MSG['user_notupdated'];
			} else
				$error_msg .= $validate_array['error_msg'];
			// ASSIGN
			assignArray($details_var, 'details');
			$view_mode = 2;
		}
	break;
//------------------------------------------------------------
	default:
		$error_msg = $SYS_WARN_MSG[$ui_lang]['action_wrong'];
		$tpl = 'core_error.tpl';
		$action = 'list';
		$view_mode = 1;
}
//------------------------------------------------------------
// VIEW
	if ($view_mode > 1) {
		$smarty->assign('error_msg', $error_msg);
		$smarty->assign('warning_msg', $warning_msg);
		$smarty->assign('success', $success);
		$smarty->assign('SID', $SID);
		$smarty->assign('zap_theme', $zap_theme);
		$smarty->display((($tpl) ? ($tpl) : ('users_details.tpl')));
	} else
		$right_frame = ($tpl) ? ($tpl) : ('users_list.tpl');
//------------------------------------------------------------
// validation
function validateUser($action = 'create') {
	global $ui_lang, $details_var, $user_db_var, $_POST, $SYS_WARN_MSG, $LOCAL_WARN_MSG;
	$valid = 0;
	$details_var = trimRequestValues($details_var);
	//print_r($details_var);
	// verify
	if (!$details_var['name'] || !$details_var['email'] || !$details_var['nick'] || !$details_var['role_id'])
		$error_msg .= $SYS_WARN_MSG[$ui_lang]['not_all_mandatory'];
	else {
		if ($details_var['password'] != $details_var['password_confirm'])
			$error_msg .=  $SYS_WARN_MSG[$ui_lang]['password_notconfirm'];
		else {
			if ($action == 'create' && !$details_var['password'])
				$error_msg .=  $SYS_WARN_MSG[$ui_lang]['password_missed'];
			else {
				if ($action == 'edit' && !$details_var['id'])
					$error_msg .=  $LOCAL_WARN_MSG['user_noid'];
				else {
					// PREPARING TO UPDATE
					$user_db_var['name'] = '\''.$details_var['name'].'\'';
					$user_db_var['surname'] = '\''.$details_var['surname'].'\'';
					$user_db_var['email'] = '\''.$details_var['email'].'\'';
					if (!$details_var['active'])
						$details_var['active'] = 0;
					$user_db_var['active'] = '\''.$details_var['active'].'\'';
					$user_db_var['addition'] = '\''.$details_var['addition'].'\'';
					$user_db_var['local'] = '\''.$details_var['local'].'\'';
					$user_db_var['city'] = '\''.$details_var['city'].'\'';
                    $user_db_var['nick'] = '\''.$details_var['nick'].'\'';
					if ($details_var['password'])
						$user_db_var['password'] = '\''.md5($details_var['password']).'\'';
					$valid = 1;
				}
			}
		}
	}
	return (array('valid' => $valid, 'warning_msg' => $warning_msg, 'error_msg' => $error_msg));
}

?>
